//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BladeGash extends xScorch;

simulated function PostBeginPlay()
{
	local Vector RX, RY, RZ;
	local Rotator R;

	if( RandomOrient )
	{
		R.Yaw = 0;
		R.Pitch = 0;
		R.Roll = Rand(65535);
		GetAxes(R,RX,RY,RZ);
		RX = RX >> Rotation;
		RY = RY >> Rotation;
		RZ = RZ >> Rotation;         
		R = OrthoRotation(RX,RY,RZ);
		SetRotation(R);
	}
	SetLocation( Location - Vector(Rotation)*PushBack );   
	Super(Projector).PostBeginPlay();
	if ( Level.bDropDetail )
		LifeSpan *= 0.1;
	else
		LifeSpan *= 0.25;
	AbandonProjector((LifeSpan*Level.DecalStayScale)*0.3);
	Destroy();
}

defaultproperties
{
	DrawScale=0.12
	ProjTexture=Material'FOMisc.Projected.WallGash'
	FrameBufferBlendingOp=PB_Modulate
}