//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BloodHit extends BloodSmallHit;

simulated function PostNetBeginPlay()
{
	if (Level.NetMode == NM_DedicatedServer)
		return;

	if ((Role < ROLE_Authority) && class'GameInfo'.Static.UseLowGore())
	{
		splats[0] = Material'xbiosplat'; 
		splats[1] = Material'xbiosplat';
		splats[2] = Material'xbiosplat';
		BloodDecalClass = class'BioDecal';
		Skins[0] = Material'BloodPuffGreen';
	}
	SetTimer(0.05,false);
}

simulated function Timer()
{
	WallSplat();
}

simulated function WallSplat()
{
	local vector WallHit, WallNormal;
	local Actor WallActor;

	if (FRand() > 0.2)
		return;
	WallActor = Trace(WallHit, WallNormal, Location + vect(0,0,-200), Location, false);
	if (WallActor != None)
		spawn(BloodDecalClass,,,WallHit + 20 * (WallNormal + VRand()), rotator(-WallNormal));
}

defaultproperties  
{
	Style=STY_Alpha
	DrawScale=0.920000
	mSizeRange(0)=5.00000 
	mSizeRange(1)=7.00000
	mDirDev=(X=0.5,Y=0.5,Z=0.5)
	mPosDev=(X=1.00000,Y=1.00000,Z=1.00000)
	mLifeRange(0)=0.40000
	mLifeRange(1)=0.550000
	mSpeedRange(0)=10.000000
	mSpeedRange(1)=25.000000 
	mMassRange(0)=0.100000
	mMassRange(1)=0.900000
	mDelayRange(0)=0.0
	mDelayRange(1)=0.05
	mMaxParticles=7
	mStartParticles=7
	LifeSpan=0.65
	BloodDecalClass=class'BloodSplatter'
}