//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BurstFlash3rd extends AssaultMuzFlash3rd;

simulated function Trigger(Actor Other, Pawn EventInstigator)
{
	if (EventInstigator != None && FOPawn(EventInstigator).IsControlledByMe())
		return;

	SetTimer(0.02,false);
}

simulated function Timer()
{
	mStartParticles += 2;
}

defaultproperties
{
	mMeshNodes(0)=StaticMesh'FOSMs.flashes.foflash3rdoff'
	Skins(0)=FinalBlend'FOMisc.Sprites.foflash3rd_fb'
	DrawScale=0.2
	mSizeRange(0)=1.0
	mSizeRange(1)=2.0

	mMaxParticles=2
	mLifeRange(0)=0.070000
	mLifeRange(1)=0.100000
	mPosDev=(X=0.500000,Y=0.250000,Z=0.250000)
	mGrowthRate=0.000000
	mAttenKa=0.500000
	mAttenKb=0.000000
	mRandOrient=false
}