class Effect_ChunkTrailSmoke extends RocketTrailSmoke;

var bool bGrowing;

simulated function PostNetBeginPlay()
{
	SetTimer(0.2,false);
}

simulated function Timer()
{
	if (bGrowing)
	{
		mRegen = false;
		return;
	}

	mGrowthRate = 20.0;
	bGrowing = true;
	SetTimer(0.5,false);
}

defaultproperties
{
	mSizeRange(0)=15.0
	mSizeRange(1)=25.0
	mSpinRange(0)=-100.0
	mSpinRange(1)=100.0
	mGrowthRate=0.0
	mRegenRange(0)=80.0
	mRegenRange(1)=80.0
	mLifeRange(0)=1.00
	mLifeRange(1)=1.00
	Skins(0)=Texture'EmitSmoke_t'
	Style=STY_Translucent
	mColorRange(0)=(R=120,G=110,B=100,A=255)
	mColorRange(1)=(R=180,G=180,B=180,A=255)
	mMaxParticles=21
}