class Effect_DirtImpact extends Effect_HitEmitter;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	// trigger
	Emitters[1].SpawnParticle(15);
	Emitters[1].AllParticlesDead = false;
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseCollision=True
		FadeOut=True
		RespawnDeadParticles=False
		UniformSize=True
		AutomaticInitialSpawning=False
		UseRandomSubdivision=True
		Acceleration=(Z=-400.000000)
		DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.400000))
		FadeOutStartTime=0.700000
		MaxParticles=7
		StartSizeRange=(X=(Min=3.000000,Max=1.000000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'VMParticleTextures.DirtKICKGROUP.dirtKICKTEX'
		TextureUSubdivisions=16
		TextureVSubdivisions=16
		LifetimeRange=(Min=1.100000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=235,G=235,R=235,A=255))
		ColorScale(1)=(Color=(B=235,G=235,R=235,A=255),RelativeTime=1.0)
		StartVelocityRange=(X=(Min=30.000000,Max=110.000000),Y=(Min=-50.000000,Max=50.000000),Z=(Min=-50.000000,Max=50.000000))
		MaxAbsVelocity=(Z=400.000000)
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter4
		RespawnDeadParticles=false
		AutomaticInitialSpawning=false
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
		UseDirectionAs=PTDU_Up
		FadeOut=True
		FadeIn=true
		FadeInEndTime=0.02
		UniformSize=false
		FadeOutStartTime=0.20000
		Acceleration=(Z=-740.0)
		MaxParticles=15
		UseColorScale=true
		ColorScale(0)=(Color=(B=255,G=255,R=250,A=230))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=255,G=255,R=250,A=215))
		TextureUSubdivisions=8
		TextureVSubdivisions=8
		UseRandomSubdivision=true
		DrawStyle=PTDS_AlphaBlend
		StartLocationRange=(X=(Min=-1.000000,Max=1.000000),Y=(Min=-1.000000,Max=1.000000),Z=(Max=-1.000000))
		SphereRadiusRange=(Min=5.000000,Max=5.000000)
		StartSizeRange=(X=(Min=2.000000,Max=3.000000),Y=(Min=10.000000,Max=11.00000))
		UseSizeScale=true
		SizeScale(0)=(RelativeSize=0.1)
		SizeScale(1)=(RelativeTime=0.060000,RelativeSize=1.000000)
		Texture=Texture'AW-2004Particles.Dirt.AW_DirtSpray'
		LifetimeRange=(Min=0.500000,Max=0.600000)
		StartVelocityRange=(Z=(Min=175.000000,Max=205.000000),Y=(Min=-20.000000,Max=20.000000),X=(Min=-20.000000,Max=20.000000))
		CoordinateSystem=PTCS_Independant
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter4'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		FadeOut=True
		FadeIn=true
		RespawnDeadParticles=False
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseRandomSubdivision=true
		BlendBetweenSubdivisions=false
		UseColorScale=true
		ColorScale(0)=(Color=(B=130,G=160,R=175,A=105))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=130,G=160,R=175,A=30))
		Opacity=0.5
		FadeOutStartTime=0.300000
		FadeInEndTime=0.01
		MaxParticles=8
		SpinsPerSecondRange=(X=(Min=-0.200000,Max=0.200000))
		StartSpinRange=(X=(Max=1.000000))
		SizeScale(0)=(RelativeTime=0.050000,RelativeSize=2.500000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=5.400000)
		StartSizeRange=(X=(Min=1.700000,Max=3.500000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'AW-2004Particles.Weapons.SmokePanels2'
		LifetimeRange=(Min=0.800000,Max=0.900000)
		//UseRotationFrom=PTRS_Actor
		CoordinateSystem=PTCS_Relative
		StartLocationRange=(X=(Min=3.0,Max=10.0))
		StartVelocityRange=(X=(Min=180.0,Max=200.0),Y=(Min=-7.0,Max=7.0),Z=(Min=-7.0,Max=7.0))
		VelocityLossRange=(X=(Min=17.0,Max=17.0))
	End Object
	Emitters(2)=SpriteEmitter'SpriteEmitter1'

	ImpactSounds(0)=Sound'FOWeaponSounds.Impact.DirtHit1'
	ImpactSounds(1)=Sound'FOWeaponSounds.Impact.DirtHit2'
	ImpactSounds(2)=Sound'FOWeaponSounds.Impact.DirtHit3'
	ImpactSounds(3)=Sound'FOWeaponSounds.Impact.DirtHit4'
	ImpactSounds(4)=Sound'FOWeaponSounds.Impact.DirtHit5'
	TransientSoundVolume=0.3
}