//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_GetHitEffect extends Effects;

var(FOHitEffect) class<Actor> STHitEffect[11];

static function class<Actor> GetHitEffect( Material STSurface, Vector HitLocation, Vector HitNormal )
{
	if (STSurface == None)
		return Default.STHitEffect[0];

	return Default.STHitEffect[STSurface.SurfaceType];
}

defaultproperties
{

	//SoundFootsteps(0)=Sound'PlayerSounds.Final.FootstepDefault'
	//SoundFootsteps(1)=Sound'PlayerSounds.Final.FootstepRock'
	//SoundFootsteps(2)=Sound'PlayerSounds.Final.FootstepDirt'
	//SoundFootsteps(3)=Sound'PlayerSounds.Final.FootStepMetal'
	//SoundFootsteps(4)=Sound'PlayerSounds.Final.FootstepWood'
	//SoundFootsteps(5)=Sound'PlayerSounds.Final.FootstepPlant'
	//SoundFootsteps(6)=Sound'PlayerSounds.Final.FootstepFlesh'
	//SoundFootsteps(7)=Sound'PlayerSounds.Final.FootstepIce'
	//SoundFootsteps(8)=Sound'PlayerSounds.Final.FootstepSnow'
	//SoundFootsteps(9)=Sound'PlayerSounds.Final.FootstepWater'
	//SoundFootsteps(10)=Sound'PlayerSounds.Final.FootstepGlass'
	STHitEffect(0)=class'Effect_DefaultImpact'
	STHitEffect(1)=class'Effect_RockImpact'
	STHitEffect(2)=class'Effect_DirtImpact'
	STHitEffect(3)=class'Effect_SparkImpact'
	STHitEffect(4)=class'Effect_WoodImpact'
	STHitEffect(5)=class'Effect_PlantImpact'
	STHitEffect(6)=class'pclImpactSmoke'
	STHitEffect(7)=class'Effect_SnowImpact'
	STHitEffect(8)=class'Effect_SnowImpact'
	STHitEffect(9)=class'pclImpactSmoke'
	STHitEffect(10)=class'Effect_GlassSpark'
	LifeSpan=1.0
}