//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_GrenadeSmokeYelGen extends Effect_GrenadeSmokeGen;

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		FadeOut=True
		FadeIn=True
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		Opacity=0.400000
		FadeOutStartTime=3.000000
		FadeInEndTime=0.100000
		MaxParticles=15
		StartSpinRange=(X=(Min=0.200000,Max=0.200000))
		SizeScale(0)=(RelativeTime=1.800000,RelativeSize=4.000000)
		StartSizeRange=(X=(Min=25.000000),Y=(Min=15.000000,Max=15.000000),Z=(Min=15.000000,Max=15.000000))
		LifetimeRange=(Min=4.000000,Max=5.000000)
		InitialParticlesPerSecond=3.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=AW-2004Particles.Fire.MuchSmoke1
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseColorScale=true
		StartLocationRange=(X=(Min=-25.5,Max=25.5),Y=(Min=-25.5,Max=25.5),Z=(Min=30.5,Max=40.5))
		ColorScale(0)=(Color=(B=50,G=50,R=50,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=0,G=80,R=80,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=0,G=155,R=155,A=255))
		InitialDelayRange=(Min=1,Max=1)
		StartVelocityRange=(X=(Min=-15.000000,Max=105.000000),Y=(Min=-15.000000,Max=15.000000),Z=(Min=10.000000,Max=20.000000))
		UseCollision=false
		Name="SpriteEmitter1"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter1'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter3
		FadeOut=True
		FadeIn=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		FadeOutStartTime=2.400000
		FadeInEndTime=0.250000
		MaxParticles=40
		StartLocationOffset=(X=-0.000000,Y=0.000000,Z=20.000000)
		SizeScale(0)=(RelativeTime=1.800000,RelativeSize=6.000000)
		StartSizeRange=(X=(Min=35.000000,Max=35.000000))
		InitialParticlesPerSecond=10.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=VMParticleTextures.TankFiringP.TankDustKick1
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		LifetimeRange=(Min=2.600000,Max=3.000000)
		InitialDelayRange=(Min=1.000000,Max=1.000000)
		StartVelocityRange=(X=(Min=-45.000000,Max=45.000000),Y=(Min=-45.000000,Max=45.000000),Z=(Min=60.000000,Max=70.000000))
		Acceleration=(Z=-20.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=50,G=150,R=150,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=0,G=180,R=180,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=0,G=255,R=255,A=255))
		Name="SpriteEmitter3"
	End Object
	Emitters(2)=SpriteEmitter'SpriteEmitter3'

	Physics=PHYS_Trailer

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	bNetTemporary=true
	LifeSpan=30.000000
	bHardAttach=true
	SoundRadius=128.000000
}