//=============================================================================
// xHeavyWallHitEffect.
//=============================================================================
class Effect_HeavyShotgunHit extends Effects;
 
var sound ImpactSounds[10];

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	SpawnEffects();
}

simulated function SpawnEffects()
{
	PlaySound(ImpactSounds[Rand(10)]);

	if (PhysicsVolume.bWaterVolume)
	{
		Spawn(class'pclImpactSmoke');
		return;
	}
	if ((Level.DetailMode == DM_Low) || Level.bDropDetail)
	{
		Spawn(class'Effect_DefaultImpact');
		return;
	}

	if (FRand() < 0.3)
		Spawn(class'pclImpactSmoke');
	Spawn(class'Effect_DefaultImpact');
}

defaultproperties
{
	Style=STY_Additive
	Drawtype=DT_None
	RemoteRole=ROLE_None
	LifeSpan=0.25
	ImpactSounds(0)=sound'Impact1Snd'
	ImpactSounds(1)=sound'Impact2Snd'
	ImpactSounds(2)=sound'Impact3Snd'
	ImpactSounds(3)=sound'Impact4Snd'
	ImpactSounds(4)=sound'Impact5Snd'
	ImpactSounds(5)=sound'Impact6Snd'
	ImpactSounds(6)=sound'Impact7Snd'
	ImpactSounds(7)=sound'Impact3'
	ImpactSounds(8)=sound'Impact1'
	ImpactSounds(9)=sound'Impact2'
}