class Effect_HelmetGlass extends Emitter;

function PostBeginPlay()
{
	Emitters[0].SpawnParticle(24);
	Emitters[0].AllParticlesDead = false;
	PlaySound(sound'FOGameSounds.PlayerSounds.HelmetGlassBreak',,TransientSoundVolume*1.8,,80);
}

function Reset()
{
	Destroy();
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MyShardEmitter
		StartLocationRange=(Z=(Min=-3.0,Max=3.0),Y=(Min=-3.0,Max=3.0),X=(Min=3.0))
		TextureUSubdivisions=3
		TextureVSubdivisions=3
		UseRandomSubdivision=true
		StartSizeRange=(X=(Min=0.5,Max=1.5))
		Acceleration=(Z=-950.0)
		StartVelocityRange=(X=(Min=-50.0,Max=50.0),Y=(Min=-50.0,Max=50.0))
		UseRotationFrom=PTRS_Actor
		LifeTimeRange=(Min=5.7,Max=6.7)
		AutomaticInitialSpawning=false
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		FadeIn=false
		RespawnDeadParticles=false
		FadeOutStartTime=4.5
		UseCollision=true
		DampingFactorRange=(X=(Min=0.8,Max=0.9),Y=(Min=0.5,Max=0.5),Z=(Min=0.2,Max=0.3))
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent		
		MaxParticles=24
		Texture=Texture'FOMisc.Sprites.GlassChips'
		UseColorScale=true
		ColorScale(0)=(Color=(B=100,G=100,R=100,A=255))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=100,G=100,R=100,A=255))
		SpinsPerSecondRange=(X=(Min=-2.0,Max=2.0))
		SpinParticles=true
		DampRotation=true
		RotationDampingFactorRange=(X=(Min=0.2,Max=0.2),Y=(Min=0.2,Max=0.2),Z=(Min=0.2,Max=0.2))
	Name="MyShardEmitter"
	End Object
	Emitters(0)=SpriteEmitter'MyShardEmitter'

	Physics=PHYS_None

	bHardAttach=false
	bHighDetail=false
	bNoDelete=false
	bDirectional=true
	LifeSpan=7.0
	bGameRelevant=true
	bNetInitialRotation=true
	RemoteRole=ROLE_None
}