//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_NapalmCore extends Emitter;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	if (Level.NetMode == NM_DedicatedServer)
		return;

	Emitters[0].SpawnParticle(3);
}

defaultproperties
{

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		StartSizeRange=(X=(Min=5.0,Max=7.0),Y=(Min=5.0,Max=7.0),Z=(Min=5.0,Max=7.0))
		Texture=Texture'FOMisc.Sprites.NapalmCore'
		//TextureUSubDivisions=2
		//TextureVSubDivisions=2
		//BlendBetweenSubdivisions=true
		MaxParticles=3
		LifeTimeRange=(Min=0.35,Max=0.35)
		Acceleration=(Z=5.000000,Y=0.0,X=0.0)
		StartVelocityRange=(Z=(Min=0.00,Max=0.0),X=(Min=0.0,Max=0.0),Y=(Min=0.0,Max=0.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=5.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=150,G=150,R=150,A=255))
		ColorScale(1)=(RelativeTime=0.700000,Color=(B=150,G=150,R=150,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=0,G=0,R=0,A=0))
		InitialDelayRange=(Min=0.00,Max=0.00)
		FadeOutStartTime=0.2
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		FadeIn=false
		RespawnDeadParticles=false
		AutomaticInitialSpawning=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		StartLocationRange=(X=(Min=-20.0,Max=20.0),Y=(Min=-20.0,Max=20.0),Z=(Min=0.0,Max=20.0))
		//StartLocationShape=PTLS_Sphere
		//SphereRadiusRange=(Min=50.0,Max=160.0)
		SpinsPerSecondRange=(X=(Min=-0.5,Max=0.5))
		SpinParticles=true
	Name="SpriteEmitter1"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter1'

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	LifeSpan=1.000000
}