class Effect_PlayerFlames extends Emitter;

simulated function StopFlames()
{
	LifeSpan = 1.0;
	Emitters[0].RespawnDeadParticles = false;
	Emitters[0].ParticlesPerSecond = 0;
	Emitters[1].RespawnDeadParticles = false;
	Emitters[1].ParticlesPerSecond = 0;
}

simulated function Reset()
{
	Destroy();
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		StartSizeRange=(X=(Min=5.0,Max=15.0),Y=(Min=5.0,Max=15.0),Z=(Min=5.0,Max=15.0))
		Texture=Texture'EmitterTextures.Multiframe.smokelight_a'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		MaxParticles=10
		LifeTimeRange=(Min=0.5,Max=0.5)
		StartVelocityRange=(Z=(Min=60.00,Max=65.0),X=(Min=-10.0,Max=10.0),Y=(Min=-10.0,Max=10.0))
		StartLocationRange=(Z=(Min=-1.5,Max=1.5),X=(Min=-1.5,Max=1.5),Y=(Min=-1.5,Max=1.5))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=0.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=60,G=200,R=255,A=255))
		ColorScale(1)=(RelativeTime=0.400000,Color=(B=45,G=115,R=200,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=45,G=45,R=200,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.6
		ParticlesPerSecond=5
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=true
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
	Name="SpriteEmitter1"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter1'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter2
		StartSizeRange=(X=(Min=5.0,Max=15.0),Y=(Min=5.0,Max=15.0),Z=(Min=5.0,Max=15.0))
		Texture=Texture'EmitterTextures.Multiframe.Fire3'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		MaxParticles=5
		LifeTimeRange=(Min=0.1,Max=0.2)
		StartVelocityRange=(Z=(Min=3.00,Max=5.0),X=(Min=-5.0,Max=5.0),Y=(Min=-5.0,Max=5.0))
		StartLocationRange=(Z=(Min=-1.5,Max=1.5),X=(Min=-1.5,Max=1.5),Y=(Min=-1.5,Max=1.5))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=2.0)
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.05
		ParticlesPerSecond=5
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=true
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Brighten
		SpinsPerSecondRange=(X=(Min=-1.5,Max=1.5))
		SpinParticles=true
	Name="SpriteEmitter2"
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter2'

	Physics=PHYS_Trailer

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	LifeSpan=11.000000
	bHardAttach=true
	SoundRadius=128.000000
	bOwnerNoSee=false
}