//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_SparkImpact extends xEmitter;

var() array<Sound> ImpactSounds;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	PlaySound(ImpactSounds[Rand(ImpactSounds.Length)]);
}

defaultproperties
{
	Style=STY_Additive
	mParticleType=PT_Line
	mDirDev=(X=0.6,Y=0.6,Z=0.6)
	mPosDev=(X=0.8,Y=0.8,Z=0.8)
	mDelayRange(0)=0.0
	mDelayRange(1)=0.0
	mLifeRange(0)=0.3
	mLifeRange(1)=0.6
	mSpeedRange(0)=100.0
	mSpeedRange(1)=200.0
	mSizeRange(0)=3.0
	mSizeRange(1)=2.0
	mMassRange(0)=1.5
	mMassRange(1)=2.0
	mRegenRange(0)=0.0
	mRegenRange(1)=0.0
	mRegenDist=0.0
	mStartParticles=7
	mMaxParticles=7
	DrawScale=1.0
	ScaleGlow=3.0
	mGrowthRate=-4.0
	mAttenuate=true
	mRegen=false
	Skins(0)=Texture'pcl_Spark'
	CollisionRadius=0.0
	CollisionHeight=0.0
	mColorRange(0)=(R=60,G=70,B=255,A=255)
	mColorRange(1)=(R=120,G=130,B=255,A=255)
	bForceAffected=False
	mAttenKa=0.0
	mAirResistance=0.0
	mSpawnVecB=(X=5.0,Y=0.0,Z=0.03)
	LifeSpan=1.0

	bHighDetail=false
	bNoDelete=false
	bDirectional=true
	bStatic=false
	RemoteRole=ROLE_None
	bAlwaysRelevant=true
	bGameRelevant=true

	ImpactSounds(0)=sound'WeaponSounds.BBulletImpact1'
	ImpactSounds(1)=sound'WeaponSounds.BBulletiImpact10'
	ImpactSounds(2)=sound'WeaponSounds.BBulletImpact11'
	ImpactSounds(3)=sound'WeaponSounds.BBulletImpact12'
	ImpactSounds(4)=sound'WeaponSounds.BBulletImpact13'
	ImpactSounds(5)=sound'WeaponSounds.BBulletImpact1'
	ImpactSounds(6)=sound'WeaponSounds.BBulletiImpact10'
	ImpactSounds(7)=sound'WeaponSounds.BBulletImpact11'
	ImpactSounds(8)=sound'WeaponSounds.BBulletImpact12'
	ImpactSounds(9)=sound'WeaponSounds.BBulletImpact13'
}