class Effect_WaterRush extends Actor;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	SetRotation(rot(0,0,0));
	Velocity = vect(0,0,-30);
}

simulated state Growing
{
	simulated function BeginState();
	simulated function EndState();
	
	simulated function Tick(float dt)
	{
		SoundVolume = FClamp(SoundVolume+1, 10, 255);
		SetDrawScale(DrawScale + (dt*0.55));
	}
}

simulated function Reset()
{
	Destroy();
}

defaultproperties
{
	Physics=PHYS_Projectile
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'Hell-pack.waterfall'
	DrawScale=0.1
	DrawScale3D=(X=1.75,Y=1.0,Z=1.0)
	AmbientSound=Sound'GeneralAmbience.WaterFx8'
	bFullVolume=true
	SoundVolume=10
	SoundRadius=1000.0
	bNoDelete=false
	bStatic=false
	bAlwaysTick=true
	InitialState=Growing
}