class Effect_Waterfall extends XEmitter;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	SetRotation(rotator(vect(0,5,-10)));
}

simulated function Reset()
{
	Destroy();
}

defaultproperties
{
	mStartParticles=0
	mMaxParticles=75
	mLifeRange(0)=3.000000
	mLifeRange(1)=3.000000
	mRegenRange(0)=20.000000
	mRegenRange(1)=25.000000
	mPosDev=(Y=390.000000)
	mSpeedRange(0)=750.000000
	mSpeedRange(1)=750.000000
	mSizeRange(0)=20.000000
	mSizeRange(1)=20.000000
	mGrowthRate=50.000000
	mColorRange(0)=(B=167,G=159,R=150)
	mColorRange(1)=(B=137,G=137,R=124)
	mAttenKa=0.300000
	mAttenKb=0.000000
	mRandTextures=True
	mNumTileColumns=2
	mNumTileRows=2
	bLightChanged=True
	DrawScale=4.000000
	Skins(0)=Texture'FOMisc.Sprites.waterfallsalpha'
	Style=STY_Alpha
	CollisionRadius=914.632019
	CollisionHeight=1350.315186
}