class Effect_WoodImpact extends Effect_HitEmitter;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	Emitters[1].SpawnParticle(9);
	Emitters[1].AllParticlesDead = false;
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseCollision=True
		FadeOut=True
		RespawnDeadParticles=False
		UniformSize=True
		AutomaticInitialSpawning=False
		UseRandomSubdivision=True
		Acceleration=(Z=-400.000000)
		DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.400000))
		FadeOutStartTime=0.700000
		MaxParticles=4
		StartSizeRange=(X=(Min=1.800000,Max=0.700000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'FOMisc.Sprites.WoodChips'
		TextureUSubdivisions=3
		TextureVSubdivisions=3
		LifetimeRange=(Min=1.100000)
		SpinParticles=True
		StartSpinRange=(X=(Min=-3.0,Max=3.0))
		StartVelocityRange=(X=(Min=30.000000,Max=110.000000),Y=(Min=-50.000000,Max=50.000000),Z=(Min=-50.000000,Max=50.000000))
		MaxAbsVelocity=(Z=400.000000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=130,G=130,R=130,A=255),RelativeTime=0.1)
		ColorScale(1)=(Color=(B=130,G=130,R=130,A=255),RelativeTime=1.0)
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=BeamEmitter Name=BeamEmitter1
		StartSizeRange=(X=(Min=0.6,Max=0.65))
		Texture=Texture'AW-2004Particles.Weapons.TrailBlur2a'
		MaxParticles=9
		LifeTimeRange=(Min=0.11,Max=0.13)
		StartVelocityRange=(Z=(Min=-15.0,Max=15.0),X=(Min=30.0,Max=50.0),Y=(Min=-15.0,Max=15.0))
		Acceleration=(Z=0.000000,Y=0.0,X=5.0)
		StartLocationRange=(Z=(Min=-0.5,Max=0.5),Y=(Min=-0.5,Max=0.5),X=(Min=0.0,Max=1.5))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=1.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=170,G=190,R=210,A=255))
		ColorScale(1)=(Color=(B=170,G=190,R=210,A=0),RelativeTime=1.0)
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeInEndTime=0.01
		FadeIn=true
		FadeOutStartTime=0.04
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_AlphaBlend
		AutomaticInitialSpawning=false
		DetermineEndPointBy=PTEP_Distance
		CoordinateSystem=PTCS_Relative
		BeamDistanceRange=(Min=5.0,Max=10.0)
		RotatingSheets=1
	Name="BeamEmitter1"
	End Object
	Emitters(1)=BeamEmitter'BeamEmitter1'

	ImpactSounds(0)=Sound'FOWeaponSounds.Impact.WoodImpact1'
	ImpactSounds(1)=Sound'FOWeaponSounds.Impact.WoodImpact2'
	ImpactSounds(2)=Sound'FOWeaponSounds.Impact.WoodImpact3'
	ImpactSounds(3)=Sound'FOWeaponSounds.Impact.WoodImpact4'
	ImpactSounds(4)=Sound'FOWeaponSounds.Impact.WoodImpact5'
	TransientSoundVolume=0.5
}