//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Explosion_GrenadeHEChunks extends Actor;

simulated function PostBeginPlay()
{
	local vector ChunkStart;
	local rotator ChunkRotation;
	local int i;
	local Explosion_GrenadeHEChunk Chunk;

	if (Role == ROLE_Authority)
	{
		for (i=0;i<4;i++)
		{
			ChunkStart = Location + ((FRand()*10)*vect(0,0,1));
			ChunkStart.X += FRand()*120-60;
			ChunkStart.Y += FRand()*120-60;
			ChunkRotation = rotator(vect(0,0,1));
			ChunkRotation.Yaw += FRand()*32000-16000;
			ChunkRotation.Pitch += FRand()*32000-16000;
			ChunkRotation.Roll += FRand()*32000-16000;
			Chunk = Spawn(class'Explosion_GrenadeHEChunk',Instigator, '', ChunkStart, ChunkRotation);
		}
	}
}

defaultproperties
{  
	bHighDetail=false
	bNoDelete=false
	LifeSpan=0.75
	Physics=PHYS_None
	RemoteRole=ROLE_None
	Style=STY_None
	DrawType=DT_None
}