//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class FOPawnSWAT extends FOPawn;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();

	LinkMesh(class'Interface_TabPlayerTeam'.Default.SORecord[0].AssociatedModel[HeadSkin]);

	Skins[0] = class'Interface_TabPlayerTeam'.Default.SORecord[0].BodySkin[BodySkin];
	Skins[1] = class'Interface_TabPlayerTeam'.Default.SORecord[0].HeadSkin[HeadSkin];
}

simulated function SetWeaponAttachment(xWeaponAttachment NewAtt)
{
	local vector RelativeLoc;
	
	Super.SetWeaponAttachment(NewAtt);
	if (NewAtt != None)
	{
		RelativeLoc.X = 5;
		NewAtt.SetRelativeLocation(RelativeLoc);
	}
}

defaultproperties
{
	Mesh=mesh'FOCharacterModels.swatMale'
	Skins(0)=material'FOCharacters.textures.swatAhead'
	Skins(1)=material'FOCharacters.textures.swatAbody'
	TeamIndex=1
}