//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class FragOps_FireMode extends WeaponFire;

var const float RecoilSize;
var float NewTimerPop, NewTimerInterval;
var bool bIsTimer;

simulated function SetTimer(float NewTimerRate, bool bLoop)
{
	bIsTimer = true;
	NewTimerInterval = NewTimerRate;
	NewTimerPop = Level.TimeSeconds;
}

simulated event ModeTick(float delta)
{
	if (Level.TimeSeconds - NewTimerPop >= TimerInterval && bIsTimer)
	{
		bIsTimer = false;
		Timer();
	}
}

simulated function bool NewAllowFire()
{
	return true;
}

// destroyed
simulated function Destroyed()
{
	DestroyEffects();
}

defaultproperties
{
}