class Interface_AttachedWeapon extends Actor;

var class<Attachment_Base> RandWeapons[10];

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	Timer();
	bHidden = false;
}

simulated function Timer()
{
	local class<Attachment_Base> RandAttachment;
	
	// get a random weapon
	RandAttachment = RandWeapons[Rand(10)];

	// clear the skins
	Skins.Remove(0,Skins.Length);

	// set the mesh
	LinkMesh(RandAttachment.Default.Mesh);

	// set the drawscale
	SetDrawScale(RandAttachment.Default.DrawScale*0.88);

	//SetTimer(5.0,false);
}

defaultproperties
{
	DrawType=DT_Mesh
	DrawScale=0.00

	bOnlyDrawIfAttached=true
	bUseLightingFromBase=True
	AttachmentBone=righthand

	bHidden=true
	RemoteRole=ROLE_None
	bUnlit=true
	Style=STY_Normal
	LODBias=100000
	bDirectional=true
	bAcceptsProjectors=false

	RandWeapons[0]=class'Weapon_UMPAttachment'
	RandWeapons[1]=class'Weapon_MP5Attachment'
	RandWeapons[2]=class'Weapon_FAMASAttachment'
	RandWeapons[3]=class'Weapon_M4ScopeAttach'
	RandWeapons[4]=class'Weapon_AK103Attachment'
	RandWeapons[5]=class'Weapon_XM8Attachment'
	RandWeapons[6]=class'Weapon_DSRAttachment'
	RandWeapons[7]=class'Weapon_Super90Attachment'
	RandWeapons[8]=class'Weapon_RedLabelAttachment'
	RandWeapons[9]=class'Weapon_MP5StalkerAttach'
}