//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_GameMessage extends CriticalEventPlus;

static function string GetString(
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
{
	local FragOps_ChainableObjective gmObjective;

	if (Objective_EscapeVolume(OptionalObject) != None && Switch == 0)
		return Objective_EscapeVolume(OptionalObject).EscapeMessage;
	else if (Objective_EscapeVolume(OptionalObject) != None && Switch == 1)
		return Objective_EscapeVolume(OptionalObject).PlayerEscapeMessage;
	else if (Objective_EscapeVolume(OptionalObject) != None && Switch == 2)
		return Objective_EscapeVolume(OptionalObject).FailedEscapeMessage;

	switch (Switch)
	{
		case 0:
			return "Take 'em down!";
			break;
		case 1:
			gmObjective = FragOps_ChainableObjective(OptionalObject);
			if (gmObjective != None)
				return gmObjective.FailedMessage;
			break;
		case 2:
			return "2";
			break;
		case 3:
			return "3";
			break;
		case 4:
			return "4";
			break;
		case 5:
			gmObjective = FragOps_ChainableObjective(OptionalObject);
			if ((gmObjective != None) && (gmObjective.ObjectiveTeam == 0))
				return "Mercenaries win the round!";
			else if (gmObjective != None)
				return "Special Ops win the round!";
			break;
		case 6:
			return "Special Ops have been eliminated!";
			break;
		case 7:
			return "Mercenaries have been eliminated!";
			break;
		case 8:
			return "Draw Game";
			break;
		case 9:
			return "Draw Game";
			break;
		case 10:
			return "Draw Game";
			break;
		case 11:
			return "Draw Game";
			break;
	}
}

defaultproperties
{
	bIsUnique=False
	FontSize=0
	DrawColor=(R=255,G=255,B=255,A=255)
	StackMode=SM_Down
	PosY=0.2
}
