//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_LoginMenu extends Interface_MidGameMenu;

function InitComponent(GUIController MyController, GUIComponent MyComponent)
{
	Super.InitComponent(MyController,MyComponent);
	SetTimer(0.5,true);
}

function Timer()
{
	SetTitle();
}

function InternalOnClose(optional Bool bCanceled)
{
	local PlayerController PC;

	PC = PlayerOwner();
	if (!Interface_TabPlayerTeam(c_Main.TabStack[0].MyPanel).bJoinClicked)
		PC.ConsoleCommand("DISCONNECT");

	Super.InternalOnClose(bCanceled);
}

defaultproperties
{
	Panels(0)=(ClassName="FragOps.Interface_TabPlayerTeam",Caption="ENTER",Hint="Choose your alliance")
}