//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// Obj_BumpedObjective.uc
// bumped objectives.  Triggered immediately when a player enters the collision
// area.
//=============================================================================
class Obj_BumpedObjective extends FragOps_ChainableObjective
	placeable
	hidecategories(Movement,Lighting,LightColor,Karma,Force,Wind,Display);

event Touch(Actor Other)
{
	if (FOPawn(Other) == None)
		return;

	OpenObjective(Pawn(Other));
}

function StartObjective(Pawn Other)
{
	Super.StartObjective(Other);
	GotoState('CompletedObjective');
}

defaultproperties
{
	bCollideActors=true
	CollisionRadius=7.500000
	CollisionHeight=7.500000
}