//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Trait_Assassin extends FOTraitRecord;

static function AddTrait(FOPawn TraitPawn)
{
	TraitPawn.AutoRecoilMod = 1.25;
	TraitPawn.ShotgunRecoilMod = 1.25;
	TraitPawn.SidearmRecoilMod = 1.25;
	TraitPawn.SniperRecoilMod = 1.25;
	TraitPawn.AkimboRecoilMod = 1.25;
	TraitPawn.APMod = 1;
	TraitPawn.FootStepMod = 0.75;
	TraitPawn.SpeedMod = 1.04;
	TraitPawn.ArmorMod = 1.1;
}

static function RemoveTrait(FOPawn TraitPawn)
{
	TraitPawn.APMod = TraitPawn.Default.APMod;
	TraitPawn.AutoRecoilMod = TraitPawn.Default.AutoRecoilMod;
	TraitPawn.FootStepMod = TraitPawn.Default.FootStepMod;
	TraitPawn.ShotgunRecoilMod = TraitPawn.Default.ShotgunRecoilMod;
	TraitPawn.SidearmRecoilMod = TraitPawn.Default.SidearmRecoilMod;
	TraitPawn.SniperRecoilMod = TraitPawn.Default.SniperRecoilMod;
	TraitPawn.AkimboRecoilMod = TraitPawn.Default.AkimboRecoilMod;
	TraitPawn.SpeedMod = TraitPawn.Default.SpeedMod;
	TraitPawn.ArmorMod = TraitPawn.Default.ArmorMod;
}

defaultproperties
{
	TraitName="Assassin"
	Description="Silent and quick, you strike down your enemies in the shadow of darkness -- thanks to your slim build.  Adds +1 AP, +4% speed, cuts footstep volume by -25%, but adds +25% weapon recoil and -10% armor."
}