//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Trait_Convict extends FOTraitRecord;

static function AddTrait(FOPawn TraitPawn)
{
	TraitPawn.MeleeDamageMod = 1.05;
	TraitPawn.AutoRecoilMod = 1.2;
	TraitPawn.ShotgunRecoilMod = 1.2;
	TraitPawn.SidearmRecoilMod = 1.2;
	TraitPawn.SniperRecoilMod = 1.2;
	TraitPawn.AkimboRecoilMod = 1.2;
	TraitPawn.SpeedMod = 1.05;
	TraitPawn.RestMod = 0.95;
	TraitPawn.ArmorMod = 0.95;
}

static function RemoveTrait(FOPawn TraitPawn)
{
	TraitPawn.MeleeDamageMod = TraitPawn.Default.MeleeDamageMod;
	TraitPawn.AutoRecoilMod = TraitPawn.Default.AutoRecoilMod;
	TraitPawn.ShotgunRecoilMod = TraitPawn.Default.ShotgunRecoilMod;
	TraitPawn.SidearmRecoilMod = TraitPawn.Default.SidearmRecoilMod;
	TraitPawn.SniperRecoilMod = TraitPawn.Default.SniperRecoilMod;
	TraitPawn.AkimboRecoilMod = TraitPawn.Default.AkimboRecoilMod;
	TraitPawn.SpeedMod = TraitPawn.Default.SpeedMod;
	TraitPawn.RestMod = TraitPawn.Default.RestMod;
	TraitPawn.ArmorMod = TraitPawn.Default.ArmorMod;
}

defaultproperties
{
	TraitName="Convict"
	Description="You've learned a lot from prison: how to take it, dish it out, run like the wind -- and have nerves of jello.  Gives +5% melee damage, +5% armor, +5% speed, -5% rest time, but adds +20% weapon recoil."
}