//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Trait_Genius extends FOTraitRecord;

static function AddTrait(FOPawn TraitPawn)
{
	TraitPawn.HackMod = 0.7;
	TraitPawn.AutoRecoilMod = 1.15;
	TraitPawn.ShotgunRecoilMod = 1.15;
	TraitPawn.SidearmRecoilMod = 1.15;
	TraitPawn.SniperRecoilMod = 1.15;
	TraitPawn.AkimboRecoilMod = 1.15;
	TraitPawn.ArmorMod = 1.1;
}

static function RemoveTrait(FOPawn TraitPawn)
{
	TraitPawn.HackMod = TraitPawn.Default.HackMod;
	TraitPawn.AutoRecoilMod = TraitPawn.Default.AutoRecoilMod;
	TraitPawn.ShotgunRecoilMod = TraitPawn.Default.ShotgunRecoilMod;
	TraitPawn.SidearmRecoilMod = TraitPawn.Default.SidearmRecoilMod;
	TraitPawn.SniperRecoilMod = TraitPawn.Default.SniperRecoilMod;
	TraitPawn.AkimboRecoilMod = TraitPawn.Default.AkimboRecoilMod;
	TraitPawn.ArmorMod = TraitPawn.Default.SpeedMod;
}

defaultproperties
{
	TraitName="Hacker"
	Description="You can crack almost any kind of security using your genius -- more than making up for your lack of gym time.  You complete objectives 30% faster, but you have -10% armor and +15% weapon recoil."
}