//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Trait_Ninja extends FOTraitRecord;

static function AddTrait(FOPawn TraitPawn)
{
	TraitPawn.MeleeDamageMod = 1.15;
	TraitPawn.AutoDamageMod = 0.9;
	TraitPawn.SniperDamageMod = 0.9;
	TraitPawn.SidearmDamageMod = 0.9;
	TraitPawn.ShotgunDamageMod = 0.9;
	TraitPawn.FootStepMod = 0.8;
}

static function RemoveTrait(FOPawn TraitPawn)
{
	TraitPawn.MeleeDamageMod = TraitPawn.MeleeDamageMod;
	TraitPawn.AutoDamageMod = TraitPawn.AutoDamageMod;
	TraitPawn.SniperDamageMod = TraitPawn.SniperDamageMod;
	TraitPawn.SidearmDamageMod = TraitPawn.SidearmDamageMod;
	TraitPawn.ShotgunDamageMod = TraitPawn.ShotgunDamageMod;
	TraitPawn.FootStepMod = TraitPawn.Default.FootStepMod;
}

defaultproperties
{
	TraitName="Ninja"
	Description="You've always excelled at the martial arts.  Unfortunately, you're not a very good shot.  Adds 15% melee damage and cuts footstep volume by -20%, but lowers ranged weapon damage by 10%."
}