//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Trait_Police extends FOTraitRecord;

static function AddTrait(FOPawn TraitPawn)
{
	TraitPawn.SidearmDamageMod = 1.07;
	TraitPawn.SidearmRecoilMod = 0.93;
	TraitPawn.FootStepMod = 1.3;
	TraitPawn.SpeedMod = 0.9;
}

static function RemoveTrait(FOPawn TraitPawn)
{
	TraitPawn.SidearmDamageMod = TraitPawn.Default.SidearmDamageMod;
	TraitPawn.SidearmRecoilMod = TraitPawn.Default.SidearmRecoilMod;
	TraitPawn.FootStepMod = TraitPawn.Default.FootStepMod;
	TraitPawn.SpeedMod = TraitPawn.Default.SpeedMod;
}

defaultproperties
{
	TraitName="Ex-Cop"
	Description="Your past experience on the force has taught you a lot about handguns, but not much about stealth.  You receive -7% sidearm recoil, gain +7% sidearm damage, but lose 10% speed.  Your footsteps are also 30% louder."
}