//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_ColChecker extends Actor;

var War_PlacedItem PlacingItem;
var int BadTouch;
var bool bGotBZ;

event Touch(Actor Other)
{
	Super.Touch(Other);
	if (War_BuildZone(Other) != None)
		bGotBZ = true;
	else if (War_ColChecker(Other) == None && War_PlacedItem(Other) == None)
		BadTouch++;
}

event UnTouch(Actor Other)
{
	Super.UnTouch(Other);
	if (War_BuildZone(Other) != None)
		bGotBZ = false;
	else if (War_ColChecker(Other) == None && War_PlacedItem(Other) == None)
		BadTouch = Max(BadTouch - 1, 0);
}

defaultproperties
{
	// collision
	DrawScale=2.0
	CollisionRadius=14.0
	CollisionHeight=15.0
	bUseCylinderCollision=true
	bCollideActors=true
	bCollideWorld=false
	bBlockNonZeroExtentTraces=true
	bBlockKarma=false 
	bUseCollisionStaticMesh=true
	
	// settings
	bHidden=true
	Physics=PHYS_None
	RemoteRole=ROLE_None
	bNoDelete=false
	bStatic=false
	bUseDynamicLights=false
	bAcceptsProjectors=false
	bUnlit=true
	bHardAttach=true
	LifeSpan=0
	bGotBZ=true
}