//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Effect_ConcNadeExplosion extends Emitter;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	if (Level.NetMode == NM_DedicatedServer)
		return;

	Emitters[0].SpawnParticle(5);
	Emitters[1].SpawnParticle(7);
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MyExplosionEmitter
		StartSizeRange=(Y=(Min=70.00,Max=80.00),X=(Min=70.00,Max=80.00),Z=(Min=70.00,Max=80.00))
		StartLocationRange=(X=(Min=-40.0,Max=40.0),Y=(Min=-40.0,Max=40.0),Z=(Min=-10.0,Max=50.0))
		Texture=Texture'FOMisc.Sprites.ChargeTwoKayFour'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		MaxParticles=5
		LifeTimeRange=(Min=0.45,Max=0.45)
		StartVelocityRange=(Z=(Min=200.0,Max=50.0),X=(Min=-0.0,Max=0.0),Y=(Min=0.0,Max=0.0))
		Acceleration=(Z=-10.00000,Y=0.0,X=0.0)
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=0.950000,RelativeSize=1.0)
	        SizeScale(1)=(RelativeTime=1.00000,RelativeSize=0.0)
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.44
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Brighten
		SpinsPerSecondRange=(X=(Min=-0.1,Max=0.1))
		SpinParticles=true
		AutomaticInitialSpawning=false
	Name="MyExplosionEmitter"
	End Object
	Emitters(0)=SpriteEmitter'MyExplosionEmitter'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		SecondsBeforeInactive=0.000000
		FadeOut=True
		FadeIn=True
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		RespawnDeadParticles=false
		AutomaticInitialSpawning=False
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		Opacity=0.500000
		FadeOutStartTime=0.70000
		FadeInEndTime=0.100000
		MaxParticles=7
		StartSpinRange=(X=(Min=0.200000,Max=0.200000))
		SizeScale(0)=(RelativeTime=1.800000,RelativeSize=3.000000)
		StartSizeRange=(X=(Min=25.000000),Y=(Min=15.000000,Max=15.000000),Z=(Min=15.000000,Max=15.000000))
		InitialParticlesPerSecond=0
		ParticlesPerSecond=0
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'FOMisc.Sprites.MuchSmokeLight'
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseColorScale=true
		StartLocationRange=(X=(Min=-15.0,Max=15.0),Y=(Min=-15.0,Max=15.0),Z=(Min=-10.0,Max=30.0))
		ColorScale(0)=(Color=(B=40,G=45,R=55,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=100,G=105,R=115,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=130,G=130,R=130,A=255))
		InitialDelayRange=(Min=0,Max=0)
		LifeTimeRange=(Min=1.0,Max=1.0)
		StartVelocityRange=(X=(Min=-44.000000,Max=44.000000),Y=(Min=-44.000000,Max=44.000000),Z=(Min=90.000000,Max=110.000000))
		UseCollision=false
		Acceleration=(Z=-50.00000,Y=0.0,X=0.0)
		Name="SpriteEmitter1"
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter1'

	Physics=PHYS_None
	RemoteRole=ROLE_None

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	bNetTemporary=true
	LifeSpan=1.1
	bHardAttach=true

	bDynamicLight=true
	LightEffect=LE_QuadraticNonIncidence
	LightType=LT_FadeOut
	LightBrightness=225
	LightHue=35
	LightSaturation=100
	LightRadius=10
	LightPeriod=25
	LightCone=128
}