//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Effect_StructureExplosion extends Emitter;

var sound ExplosionSound;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	if (Level.NetMode == NM_DedicatedServer)
		return;

	PlaySound(ExplosionSound,,3.1*TransientSoundVolume,,100,1.6);	

	Emitters[0].SpawnParticle(50+Rand(11));
	Emitters[1].SpawnParticle(14);
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseCollision=True
		FadeOut=True
		RespawnDeadParticles=False
		UniformSize=True
		AutomaticInitialSpawning=False
		UseRandomSubdivision=True
		Acceleration=(Z=-400.000000)
		DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.400000))
		StartLocationRange=(X=(Min=-50.0,Max=50.0),Y=(Min=-50.0,Max=50.0),Z=(Min=0.0,Max=10.0))
		SecondsBeforeInactive=0.000000
		FadeOutStartTime=1.000000
		MaxParticles=60
		StartSizeRange=(X=(Min=2.500000,Max=4.000000))
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'VMParticleTextures.DirtKICKGROUP.dirtKICKTEX'
		TextureUSubdivisions=16
		TextureVSubdivisions=16
		LifetimeRange=(Min=1.200000,Max=1.6000)
		StartVelocityRange=(X=(Min=-60.000000,Max=60.000000),Y=(Min=-60.000000,Max=60.000000),Z=(Min=160.000000,Max=190.000000))
		MaxAbsVelocity=(Z=250.000000)
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter3
		Acceleration=(Z=60.000000)
		SecondsBeforeInactive=0.000000
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		RespawnDeadParticles=False
		FadeOut=True
		FadeIn=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		FadeOutStartTime=0.8
		FadeInEndTime=0.10000
		MaxParticles=14
		StartLocationRange=(X=(Min=-50.0,Max=50.0),Y=(Min=-50.0,Max=50.0),Z=(Min=0.0,Max=10.0))
		SizeScale(0)=(RelativeTime=1.000000,RelativeSize=5.000000)
		StartSizeRange=(X=(Min=15.000000,Max=15.000000))
		DrawStyle=PTDS_AlphaBlend
		Texture=VMParticleTextures.TankFiringP.TankDustKick1
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		LifetimeRange=(Min=1.600000,Max=1.700000)
		InitialDelayRange=(Min=0.000000,Max=0.000000)
		StartVelocityRange=(X=(Min=-65.000000,Max=65.000000),Y=(Min=-65.000000,Max=65.000000),Z=(Min=10.000000,Max=15.000000))
		UseColorScale=true
		ColorScale(0)=(Color=(B=145,G=155,R=155,A=110))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=155,G=165,R=165,A=110))
		Name="SpriteEmitter3"
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter3'

	Physics=PHYS_None
	RemoteRole=ROLE_None

	ExplosionSound=sound'ONSVehicleSounds-S.Grenade.GenadeSecExplode'

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	bNetTemporary=true
	LifeSpan=2.0
	bHardAttach=true

	bDynamicLight=false
}