//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Effect_TowerExplosion extends War_Effect_StructureExplosion;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	if (Level.NetMode == NM_DedicatedServer)
		return;

	PlaySound(ExplosionSound,,3.7*TransientSoundVolume,,100,1.4);	

	Emitters[0].SpawnParticle(70+Rand(11));
	Emitters[1].SpawnParticle(20);
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseCollision=True
		FadeOut=True
		RespawnDeadParticles=False
		UniformSize=True
		AutomaticInitialSpawning=False
		UseRandomSubdivision=True
		Acceleration=(Z=-400.000000)
		DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.400000))
		StartLocationRange=(X=(Min=-50.0,Max=50.0),Y=(Min=-50.0,Max=50.0),Z=(Min=0.0,Max=80.0))
		SecondsBeforeInactive=0.000000
		FadeOutStartTime=1.000000
		MaxParticles=80
		StartSizeRange=(X=(Min=2.500000,Max=4.500000))
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		DrawStyle=PTDS_AlphaBlend
		SpinParticles=True
		StartSpinRange=(X=(Min=-3.0,Max=3.0))
		ColorScale(0)=(Color=(B=130,G=120,R=120,A=255),RelativeTime=0.1)
		ColorScale(1)=(Color=(B=130,G=120,R=120,A=255),RelativeTime=1.0)
		Texture=Texture'FOMisc.Sprites.WoodChips'
		TextureUSubdivisions=3
		TextureVSubdivisions=3
		LifetimeRange=(Min=1.200000,Max=1.6000)
		StartVelocityRange=(X=(Min=-90.000000,Max=90.000000),Y=(Min=-90.000000,Max=90.000000),Z=(Min=100.000000,Max=190.000000))
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter3
		Acceleration=(Z=60.000000)
		SecondsBeforeInactive=0.000000
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		RespawnDeadParticles=False
		FadeOut=True
		FadeIn=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		FadeOutStartTime=0.8
		FadeInEndTime=0.10000
		MaxParticles=20
		StartLocationRange=(X=(Min=-25.0,Max=25.0),Y=(Min=-25.0,Max=25.0),Z=(Min=0.0,Max=70.0))
		SizeScale(0)=(RelativeTime=1.000000,RelativeSize=6.000000)
		StartSizeRange=(X=(Min=20.000000,Max=20.000000))
		DrawStyle=PTDS_AlphaBlend
		Texture=VMParticleTextures.TankFiringP.TankDustKick1
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		LifetimeRange=(Min=1.600000,Max=1.700000)
		InitialDelayRange=(Min=0.000000,Max=0.000000)
		StartVelocityRange=(X=(Min=-45.000000,Max=45.000000),Y=(Min=-45.000000,Max=45.000000),Z=(Min=10.000000,Max=15.000000))
		UseColorScale=true
		ColorScale(0)=(Color=(B=145,G=145,R=145,A=200))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=145,G=145,R=145,A=200))
		Name="SpriteEmitter3"
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter3'

	ExplosionSound=sound'ONSVehicleSounds-S.Grenade.GenadeSecExplode'
}