//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_FOBot extends FOBot;

// vehicle commands
function bool FireWeaponAt(Actor A)
{
	if (A == None)
		A = Enemy;
	if ((A == None) || (Focus != A))
		return false;
	Target = A;
	if ((Pawn.Weapon != None) && Pawn.Weapon.AmmoAmount(0) > 0)
		return WeaponFireAgain(Pawn.Weapon.RefireRate(),false);
	else if ((Pawn.Weapon != None) && Weapon_Base(Pawn.Weapon).GetAmmo(0).NumClips > 0 && Pawn.Weapon.AmmoAmount(0) <= 0 && !Weapon_Base(Pawn.Weapon).IsReloading() && VSize(Target.Location - Location) > 1200)
	{
		LastWeapon = None;
		Weapon_Base(Pawn.Weapon).PlayReload();
	}
	else if ((Pawn.Weapon != None) && !Weapon_Base(Pawn.Weapon).IsReloading() && Pawn.Weapon.AmmoAmount(0) <= 0)
	{
		if (LastWeapon != Pawn.Weapon || Pawn.Weapon == None)
		{
			SwitchToBestWeapon();
			LastWeapon = Pawn.Weapon;
		}
		else if ((Pawn.Weapon != None) && Weapon_Base(Pawn.Weapon).GetAmmo(0).NumClips > 0 && !Weapon_Base(Pawn.Weapon).IsReloading())
		{
			LastWeapon = None;
			Weapon_Base(Pawn.Weapon).PlayReload();
		}
	}
	else if (Pawn.Weapon == None)
	{
		if (ONSWeaponPawn(Pawn) != None && ONSWeaponPawn(Pawn).Gun != None)
		{
			if (ONSWeaponPawn(Pawn).Gun.IsInState('Reloading'))
				return false;
			else if (War_FOVehicleWeapon(ONSWeaponPawn(Pawn).Gun).AmmoAmount == 0 && War_FOVehicleWeapon(ONSWeaponPawn(Pawn).Gun).NumClips > 0)
				War_FOVehicleWeapon(ONSWeaponPawn(Pawn).Gun).Reload();
			else
				return WeaponFireAgain(Pawn.RefireRate(),false);
		}
		else if (War_Vehicle_M240MG(Pawn) != None && War_Vehicle_M240MG(Pawn).MGWeapon != None)
		{
			if (War_Vehicle_M240MG(Pawn).MGWeapon.IsInState('Reloading'))
				return false;
			else if (War_FOVehicleWeapon(War_Vehicle_M240MG(Pawn).MGWeapon).AmmoAmount == 0 && War_FOVehicleWeapon(War_Vehicle_M240MG(Pawn).MGWeapon).NumClips > 0)
				War_FOVehicleWeapon(War_Vehicle_M240MG(Pawn).MGWeapon).Reload();
			else
				return WeaponFireAgain(Pawn.RefireRate(),false);
		}
		return WeaponFireAgain(Pawn.RefireRate(),false);

	
	}	
	return false;
}

// do wave stuff, if any
function DoWaveCommands()
{
}

defaultproperties
{
	PlayerReplicationInfoClass=class'FragOps.War_PRI'
}