//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_FOVehicleAirRotor extends Actor;

var xEmitter TrailEmitters[5];
var vector TrailOffset[5];

// plane
var Mesh PlaneMesh;

simulated function PostBeginPlay()
{
	//local int i;
	
	Super.PostBeginPlay();

	//if (Level.NetMode == NM_DedicatedServer)
		//return;

	//for (i=0;i<ArrayCount(TrailEmitters);i++)
	//{
		//if (TrailEmitters[i] == None)
			//TrailEmitters[i] = spawn(class'War_Effect_CopterBladeTrail',self);
		//if (TrailEmitters[i] != None)
		//{
			//TrailEmitters[i].mRegenRange[0] = 0;
			//TrailEmitters[i].mRegenRange[1] = 0;
			//TrailEmitters[i].SetBase(self);
			//TrailEmitters[i].SetRelativeLocation(TrailOffset[i]);
		//}
	//}
}

simulated function Destroyed()
{
	local int i;
	
	Super.Destroyed();

	for (i=0;i<ArrayCount(TrailEmitters);i++)
	{
		if (TrailEmitters[i] != None)
			TrailEmitters[i].Destroy();
	}
}

simulated function EnableTrails()
{
	local int i;
	
	for (i=0;i<ArrayCount(TrailEmitters);i++)
	{
		if (TrailEmitters[i] != None)
		{
			TrailEmitters[i].mRegenRange[0] = 60;
			TrailEmitters[i].mRegenRange[1] = 60;
		}
	}
}

simulated function DisableTrails()
{
	local int i;
	
	for (i=0;i<ArrayCount(TrailEmitters);i++)
	{
		if (TrailEmitters[i] != None)
		{
			TrailEmitters[i].mRegenRange[0] = 0;
			TrailEmitters[i].mRegenRange[1] = 0;
		}
	}
}

defaultproperties
{
	TrailOffset(0)=(X=-100,Y=0,Z=0)
	TrailOffset(1)=(X=100,Y=50,Z=1)
	TrailOffset(2)=(X=100,Y=-50,Z=2)
	TrailOffset(3)=(X=-40,Y=-100,Z=3)
	TrailOffset(4)=(X=-40,Y=-100,Z=4)

	DrawType=DT_Mesh
	bBlockZeroExtentTraces=false
	bBlockNonZeroExtentTraces=false
	bBlockActors=false
	bCollideActors=false
	bCollideWorld=false
	bHardAttach=true
	bStatic=false
	bNoDelete=false
	bOnlyDrawIfAttached=true
	bActorShadows=true
	bNoRepMesh=true
	AmbientGlow=0
	Style=STY_Alpha
	RemoteRole=ROLE_SimulatedProxy
}