//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
// Just like the one in Mission.
//=============================================================================
class War_Objective_RetrievalVolume extends Volume;

var bool bCompleted;

// when the objective is completed, it can be placed somewhere in the map by
// specifying the location and rotation coordinates here.
var() vector CompletedLocation;
var() rotator CompletedRotation;

event Touch(Actor Other)
{
	Super.Touch(Other);
	if (War_Objective_Retrieval(Other) == None || Other.Tag != Tag || bCompleted)
		return;

	bCompleted = true;
	DoCompletion(War_Objective(Other));
}

singular function DoCompletion(War_Objective CarriedObj)
{
	if (War_Objective_Retrieval(CarriedObj).Carrier != None)
		War_Objective_Retrieval(CarriedObj).CarryCompleted(War_Objective_Retrieval(CarriedObj).Carrier, CompletedLocation, CompletedRotation);
	else
		War_Objective_Retrieval(CarriedObj).CarryCompleted(None, CompletedLocation, CompletedRotation);
}

function Reset()
{
	bCompleted = false;
}

defaultproperties
{
	bNoDelete=true
	bAlwaysRelevant=true
}