//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Placed_Comanche extends War_PlacedItem;

function PostBeginPlay()
{
	Super.PostBeginPlay();

	// start with landing gear
	PlayAnim('Land',10.0);
	SetAnimFrame(0.99);
}

event AnimEnd(int Channel)
{
}

defaultproperties
{
	DrawScale=1.0
	DrawType=DT_Mesh
	Mesh=Mesh'FOVehicles.Comanche'
	Skins(0)=Material'FOWarTextures.Build.PlacedItem_fb'
	Skins(1)=Material'FOWarTextures.Build.PlacedItem_fb'
	Skins(2)=Material'FOWarTextures.Build.PlacedItem_fb'
	Skins(3)=Material'FOWarTextures.Build.PlacedItem_fb'

	// collision checkers
	CheckerOffsets(0)=(X=50,Y=-33,Z=0)
	CheckerOffsets(1)=(X=-50,Y=33,Z=0)
	CheckerOffsets(2)=(X=-100,Y=-30,Z=0)
	CheckerOffsets(3)=(X=-150,Y=0,Z=0)

	// internal
	PlaceOffset=45
	RotationOffset=-16384

	// Z offset
	ZOffset=80

	// collision
	bShareCollisionSize=false
	CollisionRadius=100.0
	CollisionHeight=80.0
}