//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Vehicle_M240MGWeapon extends War_Vehicle_JeepM240MG;

simulated function int LimitYaw(int InYaw, rotator CurrentRotation)
{
	return InYaw;
}

static function StaticPrecache(LevelInfo L)
{
}

function byte BestMode()
{
	return 0;
}

event TakeDamage(int Damage, Pawn EventInstigator, vector HitLocation, vector Momentum, class<DamageType> DamageType)
{
	local Vehicle VehicleInstigator;
	
	//skip past vehicle driver
	VehicleInstigator = Vehicle(Instigator);
	
	if (VehicleInstigator == None)
		return;

	VehicleInstigator.TakeDamage(Damage,EventInstigator,HitLocation,Momentum,DamageType);
}

defaultproperties
{
	// ammo
	DrawScale=1.0
	AmmoAmount=100
	MaxAmmo=100
	NumClips=1
	MaxClips=1
	Mesh=Mesh'FOVehicleWeapons.M240_weapon_nc'
	YawBone=mg
	PitchBone=mg
	YawStartConstraint=0
	YawEndConstraint=65535
	RotationsPerSecond=1.0
	bBlockZeroExtentTraces=true
	bBlockNonZeroExtentTraces=true
	bCollideActors=true
	bBlockActors=true
	bBlockKarma=false
	bCollideWorld=false
}