//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_AK103BayonetAttach extends Weapon_AK103Attachment;

simulated event ThirdPersonEffects() 
{ 
	local rotator r;

	LastFlashCount = FlashCount;

	if (Level.NetMode != NM_DedicatedServer)
	{
		if (FiringMode == 0 || FiringMode == 1)
		{
			if (FOPawn(Instigator) == None || FOPawn(Instigator).SpectatorWeapon != None)
				return;

			if (FlashCount > 0)
				FOPawn(Instigator).StartFiring(bHeavy, bRapidFire);

			if (FlashCount <= 0)
				return;

			if (FiringMode == 1)
				return;

			PlayFireSound(FiringMode);

			WeaponLight();

			if (MeshFlash3rd == None)
			{
				MeshFlash3rd = Spawn(MeshFlash3rdClass,self);
				AttachToBone(MeshFlash3rd, FlashBone);
			}

			if (MuzSmoke3rd == None)
			{
				MuzSmoke3rd = Spawn(MuzSmoke3rdClass,self);
				AttachToBone(MuzSmoke3rd, FlashBone);
			}

			if (ShellEjector3rd == None)
			{
				ShellEjector3rd = Spawn(ShellEjector3rdClass,self);
				ShellEjector3rd.bThird = true;
				ShellEjector3rd.InitEjector();
				AttachToBone(ShellEjector3rd, ShellBone);
			}

			r.Roll = Rand(65536);
			SetBoneRotation(FlashBone, r, 0, 1.f);
			MeshFlash3rd.Trigger(self, Instigator);
			MuzSmoke3rd.Trigger(self, Instigator);
			SetShellBone();
			ShellEjector3rd.Trigger(self, Instigator);
		}
	}
	if (FlashCount == LastFlashCount)
		return;
}

defaultproperties
{
	WeaponClass=class'Weapon_AK103Bayonet'
	Mesh=mesh'ak103pickup.akpickuploaded'
	FireClass[1]=class'Weapon_AK103Stab'
	FireVolume[1]=1.0
	FireRadius[1]=80.0
}