//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_GrenadeSmoke extends Weapon_GrenadeBase
	config(User);

defaultproperties
{
	Mesh=mesh'FOGrenades.SmokeNade'
	Skins(0)=None
	Skins(1)=None
	Skins(2)=Material'magnum2.Texture.RedSmoke'
	ItemName="R. Smoke"
	StaticName="RSMOKE"
	InventoryGroup=4
	GunDesc="COST: $50|CARRY: 2|DMG: Low|RAD: High"
	GunCost=110
	AttachmentClass=class'Weapon_GrenadeSmokeAttachment'

	FireModeClass(0)=Weapon_GrenadeSmokeThrow
	FireModeClass(1)=Weapon_GrenadeSmokeRoll

	PickupClass=class'FragOps.Weapon_GrenadeSmokePickup'
	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_nadesmokered'
}