//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_KnifeAkimboAttach extends Weapon_KnifeAttachment;

simulated function PostNetBeginPlay()
{
	local rotator TempRotator;

	if (Instigator != None)
	{
		xPawn(Instigator).SetWeaponAttachment(self);
		Instigator.SetAnimAction('weapon_switch');
		if (Instigator.Weapon != None && Weapon_Base(Instigator.Weapon).IsAkimbo() && Instigator.Weapon.ThirdPersonActor != None && FOPawnFemale(Instigator) == None && MasterAttachment != None)
		{
			MasterAttachment.SetRelativeLocation(vect(6,0,0));
			TempRotator.Yaw = -4000;
			TempRotator.Pitch = -1500;
			TempRotator.Roll = -80;
			MasterAttachment.SetRelativeRotation(TempRotator);
		}
	}
}

simulated function Destroyed()
{
	local rotator TempRotator;

	if (Instigator != None && MasterAttachment != None)
	{
		MasterAttachment.SetRelativeLocation(vect(0,0,0));
		MasterAttachment.SetRelativeRotation(TempRotator);
		FOPawn(Instigator).SetWeaponAttachment(MasterAttachment);
		Instigator.SetAnimAction('weapon_switch');
	}
}

simulated event ThirdPersonEffects()
{
	Super(Attachment_Base).ThirdPersonEffects();
}

defaultproperties
{
	bAkimbo=true
}