class Weapon_KnifeStuck extends Actor;

simulated function PostNetBeginPlay()
{
	if (Level.NetMode == NM_DedicatedServer)
		return;
	
	if (Instigator != None && FOPawn(Instigator) != None)
		FOPawn(Instigator).StuckKnife = self;
	else
	{
		Destroy();
		return;
	}

	if (Instigator.Health > 0 && Level.NetMode != NM_StandAlone)
		LifeSpan *= 0.5;
}

defaultproperties
{
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'FOPickupSMs.knife_stucksm'
	DrawScale=0.23
	
	bStatic=false
	bNoDelete=false
	bHighDetail=false
	bAlwaysRelevant=true
	bGameRelevant=true
	bUseLightingFromBase=true
	bHardAttach=true
	bOnlyDrawIfAttached=true

	bBlockZeroExtentTraces=false
	bBlockNonZeroExtentTraces=false
	bBlockActors=false
	bCollideActors=false
	bCollideWorld=false

	RemoteRole=ROLE_SimulatedProxy
	bNetTemporary=true
	bReplicateMovement=true
	bReplicateInstigator=true

	LifeSpan=30.0
	CullDistance=1000.0
}