//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_LAWAttachment extends Attachment_Base;

var name FlashBoneRear;

simulated event ThirdPersonEffects() 
{ 
	local rotator r;

	if (Level.NetMode != NM_DedicatedServer)
	{
		if (FiringMode == 0)
		{
			if (FOPawn(Instigator) == None)
				return;

			if (FlashCount > 0)
				FOPawn(Instigator).StartFiring(bHeavy, bRapidFire);

			if (FlashCount <= 0 || MeshFlash3rdClass == None || bGrenade)
				return;

			PlayFireSound(FiringMode);

			WeaponLight();

			if (MeshFlash3rd == None)
			{
				MeshFlash3rd = Spawn(MeshFlash3rdClass,self);
				AttachToBone(MeshFlash3rd, FlashBone);
			}

			if (MuzSmoke3rd == None)
			{
				MuzSmoke3rd = Spawn(MuzSmoke3rdClass,self);
				AttachToBone(MuzSmoke3rd, FlashBoneRear);
			}

			r.Roll = Rand(65536);
			//SetBoneRotation(FlashBone, r, 0, 1.f);
			MeshFlash3rd.Trigger(self, Instigator);
			MuzSmoke3rd.Trigger(self, Instigator);
		}
	}
}


defaultproperties
{
	Mesh=mesh'pickups.law3rd'
	DrawScale=1.5
	bHeavy=true
	bRapidFire=false
	bAltRapidFire=false
	FlashBone=Bone_Flash
	FlashBoneRear=Bone_Flash_Rear
	ShellEjector3rdClass=None

	FireClass[0]=class'Weapon_LAWFire'
	FireVolume[0]=2.4
}