//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MP9Base extends Weapon_Base
	config(User);

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="Rygar MP99"
	StaticName="MP99"
	InventoryGroup=3
	WeaponType=SMG
	GunAttachment[0]=class'Weapon_MP9Silenced'
	GunAttachment[1]=class'Weapon_MP9Hollow'
	GunAttachment[2]=class'Weapon_MP9Loaded'
	GunDesc="COST: $250|AMMO: 30 x 4|DMG: High|RNG: Med"
	GunCost=575
    
	// firemodes, types
	NumFireTypes=0
	FireTypeNames(0)="Auto"
	FireModeClass(0)=Weapon_MP9Fire
	FireModeClass(1)=Weapon_MP9FireNull

	// AI
	AIRating=+0.3
	CurrentRating=0.3
	Priority=3
	
	// reload, bob, burst timings
	ReloadTime=2.55
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPrimary'
	
	// 3rd person
	PickupClass=class'Weapon_MP9Pickup'
	AttachmentClass=class'Weapon_MP9Attachment'
	TracerBone=Bone_Flash
	ShellBone=Bone_Shell
	SmokeBone=Bone_Smoke
	
	// 1st person
	Mesh=mesh'FOSMGs.mp9'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_mp9bare'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-11.7,Y=-5.6,Z=3.1)
	PlayerViewPivot=(Pitch=50,Roll=-800,Yaw=17500)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.2
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=-4,Z=1)
}