//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_MP9SilencedFire extends Weapon_MP9Fire;

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.1,,,(0.97)+(FRand()*0.06),false);
}

simulated function InitEffects()
{
	Super(FireMode_Base).InitEffects();
	if (SmokeEmitter != None )
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	if (SmokeEmitter2nd != None)
		Weapon.AttachToBone(SmokeEmitter2nd, 'Bone_Smoke');
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super.StartMuzzleSmoke();
}

function FlashMuzzleFlash()
{
}

defaultproperties
{
	FlashEmitterClass=None
	SmokeEmitterClass=class'Effect_MP9MuzSmoke'
	SmokeEmitter2ndClass=class'Effect_MP9MuzSmoke2nd'

	FireSound=Sound'FOWeaponSounds.MPNine.MP9-silenced'
	RecoilSize=365
	WeaponRange=750   // maximum effective range for this gun
}