//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_TMPBase extends Weapon_Base
	config(User);

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="RMP9"
	StaticName="RMP9"
	GunAttachment[0]=class'Weapon_TMPAkimbo'
	InventoryGroup=2
	WeaponType=SMG
	GunDesc="COST: $350|AMMO: 30 x 4|DMG: High|RNG: Med"
	GunCost=600

	// CXP reqs
	CXPReq=80
    
	// firemodes, types
	FireTypeNames(0)="Auto"
	FireModeClass(0)=Weapon_TMPFire
	FireModeClass(1)=Weapon_TMPFireNull

	// AI
	AIRating=+0.2
	CurrentRating=0.2
	Priority=2
	
	// reload, bob, burst timings
	ReloadTime=2.3
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPistol2'
	
	// 3rd person
	PickupClass=class'Weapon_TMPPickup'
	AttachmentClass=class'Weapon_TMPAttachment'
	TracerBone=Bone_Flash
	ShellBone=Bone_Shell
	SmokeBone=Bone_Smoke
	
	// 1st person
	Mesh=mesh'FOMachinePistols.tmp'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_tmp'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=2.4,Y=-6.7,Z=2.7)
	PlayerViewPivot=(Pitch=50,Roll=-970,Yaw=18180)
	ShellHackOffset=20.0

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.4
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=-3,Z=2.5)
}