//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_UMPBase extends Weapon_Base
	config(User);

defaultproperties
{
	ItemName="SMP45"
	StaticName="SMP45"
	GunAttachment[0]=class'Weapon_UMPLaser'
	GunAttachment[1]=class'Weapon_UMPSilenced'
	GunAttachment[2]=class'Weapon_UMPLoaded'
	GunDesc="COST: $250|AMMO: 30 x 5|DMG: Med|RNG: Med"
	GunCost=575

	Mesh=mesh'FOSMGs.UMP'
    
	bCanThrow=true

	FireModeClass(0)=Weapon_UMPFire
	FireModeClass(1)=Weapon_UMPFireNull
	NumFireTypes=3
	FireTypeNames(0)="Auto"
	FireTypeNames(1)="3 Shot"
	FireTypeNames(2)="Semi"

	InventoryGroup=3

	ReloadTime=2.5

	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPrimary'
	SelectForce="SwitchToAssaultRifle"

	BobDamping=1.94
	PickupClass=class'FragOps.Weapon_UMPPickup'

	BurstMultiple=1.25
	AttachmentClass=class'FragOps.Weapon_UMPAttachment'

	TracerBone=Bone_Flash
	ShellBone=Bone_Shell
	SmokeBone=Bone_Smoke

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-2.6,Y=-8.5,Z=4.55)
	PlayerViewPivot=(Pitch=600,Roll=-1150,Yaw=17800)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.2

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_umpbare'

	AIRating=+0.3
	CurrentRating=0.3
	Priority=3

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=0,Z=1)
}