class Weapon_UMPSilencedAttach extends Weapon_UMPAttachment;

simulated event ThirdPersonEffects() 
{ 
	local rotator r;

	if (FlashCount == LastFlashCount)
		return;
	
	if (Level.NetMode != NM_DedicatedServer)
	{
		if (FiringMode == 0)
		{
			if (FOPawn(Instigator) == None || FOPawn(Instigator).SpectatorWeapon != None)
				return;
			
			if (FlashCount > 0)
				FOPawn(Instigator).StartFiring(bHeavy, bRapidFire);
		
			if (FlashCount <= 0) 
				return;

			PlayFireSound(FiringMode);

			if (MuzSmoke3rd == None)
			{
				MuzSmoke3rd = Spawn(MuzSmoke3rdClass,self);
				AttachToBone(MuzSmoke3rd, FlashBone);
			}

			if (ShellEjector3rd == None)
			{
				ShellEjector3rd = Spawn(ShellEjector3rdClass,self);
				ShellEjector3rd.bThird = true;
				ShellEjector3rd.InitEjector();
				AttachToBone(ShellEjector3rd, ShellBone);
			}

			r.Roll = Rand(65536);
			SetBoneRotation(FlashBone, r, 0, 1.f);
			MuzSmoke3rd.Trigger(self, Instigator);
			SetShellBone();
			ShellEjector3rd.Trigger(self, Instigator);
		}
	}
	LastFlashCount = FlashCount;
}

simulated function SetShellBone()
{
	local rotator r;
	
	r.Pitch = 183;
	r.Yaw = -33441;
	r.Roll = -15940;

	SetBoneRotation(ShellBone, r, 0, 1.f);
}

defaultproperties
{
	Mesh=mesh'pickups.umppickup'
	NewMuzFlash3rdClass=None

	WeaponClass=class'Weapon_UMPSilenced'
	FireClass[0]=class'Weapon_UMPSilencedFire'
	FireVolume[0]=1.0
	FireRadius[0]=60.0
}