//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Ammo_AkimboBase extends Ammo_TMP_9mm;

var int AmmoSec;

replication 
{ 
	// Things the server should send to the client. 
	reliable if ((bNetDirty) && (bNetOwner) && (Role == Role_Authority))
		AmmoSec;
}

function ReloadClip() 
{ 	
	if (NumClips > 0)
	{
		NumClips -= 1;
		if (AmmoAmount == MaxAmmo)
			AmmoSec = MaxAmmo;
		else
			AmmoAmount = MaxAmmo;
	}
}

function bool AddAmmo(int AmmoToAdd)
{
	AmmoAmount = Min(MaxAmmo, AmmoToAdd);
	AmmoSec = AmmoAmount;
	return true;
}

simulated function bool HasAmmo()
{
	return (AmmoAmount > 0 || AmmoSec > 0);
}

defaultproperties
{
	MaxClips=8
}