class Effect_BarrelShard extends Effect_MetalShard;

simulated function PostBeginPlay()
{
	Velocity = Vector(Rotation) * ((fRand()*30)+50);
	if (PhysicsVolume.bWaterVolume)
		Velocity *= 0.65;

	GBounces = 2;

	Super(Projectile).PostBeginPlay();

	SetPhysics(PHYS_Falling);
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	// play sound here

	SetPhysics(PHYS_Falling);
	if (GBounces > 0)
	{
		Velocity = 0.9 * (Velocity - 2.0*HitNormal*(Velocity dot HitNormal));
		GBounces = GBounces - 1;
		return;
	}
	bBounce = false;
}

defaultproperties
{
	StaticMesh=staticmesh'FOSMs.shards.barrel'
	DrawScale=1.0
	DesiredRotation=(Pitch=0,Yaw=0,Roll=0)
	bFixedRotationDir=false
}