//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_BulletSplash extends Emitter;

function PostBeginPlay()
{
	Emitters[0].SpawnParticle(1);
	Emitters[1].SpawnParticle(Rand(8)+23);
	Emitters[2].SpawnParticle(1);
	Emitters[3].SpawnParticle(4);
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter9
		UseDirectionAs=PTDU_Normal
		UseColorScale=true
		SpinParticles=true
		UseSizeScale=true
		UseRegularSizeScale=false
		UniformSize=true
		ColorScale(0)=(Color=(B=255,G=234,R=168))
		ColorScale(1)=(RelativeTime=0.600000,Color=(B=253,G=253,R=253))
		ColorScale(2)=(RelativeTime=1.000000)
		MaxParticles=2
		SpinsPerSecondRange=(X=(Max=0.100000))
		StartSpinRange=(X=(Max=1.000000))
		SizeScale(0)=(RelativeTime=0.100000,RelativeSize=0.500000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.150000)
		StartSizeRange=(X=(Min=17.0,Max=17.0))
		RespawnDeadParticles=false
		AutomaticInitialSpawning=false
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		InitialDelayRange=(Min=0.0,Max=0.0)
		Texture=Texture'xCausticRing2'
		FadeOut=true
		FadeOutStartTime=0.10000
		LifetimeRange=(Min=0.700000,Max=0.700000)
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter9'
	
	Begin Object Class=SpriteEmitter Name=SpriteEmitter4
		RespawnDeadParticles=false
		AutomaticInitialSpawning=false
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
		UseDirectionAs=PTDU_Up
		FadeOut=True
		UniformSize=True
		FadeOutStartTime=0.050000
		MaxParticles=30
		StartLocationRange=(X=(Min=-5.000000,Max=5.000000),Y=(Min=-5.000000,Max=5.000000),Z=(Max=1.000000))
		SphereRadiusRange=(Min=5.000000,Max=5.000000)
		StartSizeRange=(X=(Min=3.300000,Max=3.300000))
		Texture=Texture'AW-2004Particles.Energy.SparkHead'
		LifetimeRange=(Min=0.300000,Max=0.300000)
		StartVelocityRange=(X=(Min=-200.000000,Max=200.000000),Y=(Min=-200.000000,Max=200.000000),Z=(Min=350.000000,Max=425.000000))
		VelocityLossRange=(X=(Min=18.000000,Max=18.000000),Y=(Min=18.000000,Max=18.000000),Z=(Min=15.000000,Max=15.000000))
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter4'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter10
		Acceleration=(Z=-12.0)
		RespawnDeadParticles=false
		AutomaticInitialSpawning=false
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
		FadeOut=True
		SpinParticles=True
		UseSizeScale=True
		UniformSize=True
		BlendBetweenSubdivisions=True
		FadeOutStartTime=0.200000
		MaxParticles=1
		StartLocationRange=(Z=(Min=7.000000,Max=7.000000))
		StartSpinRange=(X=(Min=1.000000,Max=-1.000000))
		SizeScale(0)=(RelativeTime=0.200000,RelativeSize=2.500000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=4.000000)
		StartSizeRange=(X=(Min=17.000000,Max=18.000000))
		Texture=Texture'XGame.Water.xSplashBase'
		TextureUSubdivisions=2
		TextureVSubdivisions=2
		LifetimeRange=(Min=0.500000,Max=0.500000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=255,G=250,R=200))
	        ColorScale(1)=(RelativeTime=1.000000,Color=(B=255,G=250,R=200))
		StartVelocityRange=(Z=(Min=35.000000,Max=35.000000))
	End Object
	Emitters(2)=SpriteEmitter'SpriteEmitter10'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter11
		Acceleration=(Z=-6.0)
		RespawnDeadParticles=false
		AutomaticInitialSpawning=false
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		InitialDelayRange=(Min=0.0,Max=0.0)
		SecondsBeforeInactive=0.000000
		SpinParticles=True
		UseSizeScale=True
		UniformSize=True
		BlendBetweenSubdivisions=True
		FadeOutStartTime=0.250000
		MaxParticles=4
		StartLocationRange=(Z=(Min=0.600000,Max=0.600000))
		StartSpinRange=(X=(Min=-1.000000,Max=1.000000))
		SizeScale(0)=(RelativeSize=0.200000)
		SizeScale(1)=(RelativeTime=0.500000,RelativeSize=1.000000)
		StartSizeRange=(X=(Min=20.000000,Max=20.000000))
		Texture=Texture'XGame.Water.xWaterDrops2'
		TextureUSubdivisions=1
		TextureVSubdivisions=2
		LifetimeRange=(Min=0.600000,Max=0.600000)
		StartVelocityRange=(Z=(Min=25.000000,Max=25.000000))
	End Object
	Emitters(3)=SpriteEmitter'SpriteEmitter11'

	bHighDetail=false
	bNoDelete=false
	bStatic=false
	bOwnerNoSee=false
	AutoDestroy=false
	RemoteRole=ROLE_None
	LifeSpan=0.8
}