class Effect_GlassSpark extends Effect_HitEmitter;

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseCollision=True
		FadeOut=True
		RespawnDeadParticles=False
		UniformSize=True
		AutomaticInitialSpawning=False
		UseRandomSubdivision=True
		Acceleration=(Z=-500.000000)
		DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.400000))
		FadeOutStartTime=0.700000
		MaxParticles=4
		StartSizeRange=(X=(Min=3.000000,Max=1.000000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'FOMisc.Sprites.GlassChips'
		TextureUSubdivisions=3
		TextureVSubdivisions=3
		LifetimeRange=(Min=1.200000)
		SpinParticles=True
		StartSpinRange=(X=(Min=-3.0,Max=3.0))
		StartVelocityRange=(X=(Min=30.000000,Max=110.000000),Y=(Min=-50.000000,Max=50.000000),Z=(Min=-50.000000,Max=50.000000))
		MaxAbsVelocity=(Z=500.000000)
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		FadeOut=True
		FadeIn=True
		RespawnDeadParticles=False
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		Acceleration=(Z=10.000000)
		ColorMultiplierRange=(X=(Min=0.250000,Max=0.350000),Y=(Min=0.250000,Max=0.350000),Z=(Min=0.2500000,Max=0.350000))
		FadeOutStartTime=0.500000
		FadeInEndTime=0.100000
		MaxParticles=1
		SpinsPerSecondRange=(X=(Min=-0.200000,Max=0.200000))
		StartSpinRange=(X=(Max=1.000000))
		SizeScale(0)=(RelativeSize=0.300000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
		StartSizeRange=(X=(Min=5.000000,Max=10.000000))
		InitialParticlesPerSecond=5.000000
		DrawStyle=PTDS_Brighten
		Texture=Texture'XEffects.EmitSmoke_t'
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseRandomSubdivision=True
		LifetimeRange=(Min=1.000000,Max=1.500000)
		StartVelocityRange=(X=(Min=-8.000000,Max=8.000000),Y=(Min=-8.000000,Max=8.000000))
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter1'

	ImpactSounds(0)=Sound'FOWeaponSounds.Impact.GlassTink1'
	ImpactSounds(1)=Sound'FOWeaponSounds.Impact.GlassTink2'
	ImpactSounds(2)=Sound'FOWeaponSounds.Impact.GlassTink1'
	ImpactSounds(3)=Sound'FOWeaponSounds.Impact.GlassTink2'
	TransientSoundVolume=0.33
}