//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_GrenadeHEExplosion extends Emitter;

function PostBeginPlay()
{
	Super.PostBeginPlay();

	Emitters[1].SpawnParticle(5);
	Emitters[0].SpawnParticle(9);

	if (Level.bDropDetail)
		bDynamicLight = false;
	else
		SetTimer(0.15,false);
}

function Timer()
{
	bDynamicLight = false;
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MyExplosionEmitter
		StartSizeRange=(X=(Min=85.00,Max=100.00))
		StartLocationRange=(X=(Min=-45.0,Max=45.0),Y=(Min=-45.0,Max=45.0),Z=(Min=-10.0,Max=15.0))
		Texture=Texture'FOMisc.Sprites.ChargeTwoKayFour'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		Opacity=0.7
		MaxParticles=5
		LifeTimeRange=(Min=0.25,Max=0.25)
		StartVelocityRange=(Z=(Min=200.0,Max=50.0),X=(Min=-100.0,Max=100.0),Y=(Min=-100.0,Max=100.0))
		Acceleration=(Z=-40.00000,Y=0.0,X=0.0)
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=0.950000,RelativeSize=1.0)
	        SizeScale(1)=(RelativeTime=1.00000,RelativeSize=0.0)
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.44
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Brighten
		SpinsPerSecondRange=(X=(Min=-0.1,Max=0.1))
		SpinParticles=true
		AutomaticInitialSpawning=false
		UniformSize=True
	Name="MyExplosionEmitter"
	End Object
	Emitters(1)=SpriteEmitter'MyExplosionEmitter'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		SecondsBeforeInactive=0.000000
		FadeOut=True
		FadeIn=True
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		RespawnDeadParticles=false
		AutomaticInitialSpawning=False
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		Opacity=1.0
		FadeOutStartTime=0.70000
		FadeInEndTime=0.010000
		MaxParticles=9
		StartSpinRange=(X=(Min=0.200000,Max=0.200000))
		SizeScale(0)=(RelativeTime=0.05,RelativeSize=3.000000)
		SizeScale(1)=(RelativeTime=0.5,RelativeSize=3.500000)
		SizeScale(2)=(RelativeTime=1.00,RelativeSize=5.000000)
		StartSizeRange=(X=(Min=25.000000,Max=35.0),Y=(Min=15.000000,Max=15.000000),Z=(Min=15.000000,Max=15.000000))
		InitialParticlesPerSecond=0
		ParticlesPerSecond=0
		DrawStyle=PTDS_AlphaBlend
		Texture=VMParticleTextures.TankFiringP.TankDustKick1
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseColorScale=true
		StartLocationRange=(X=(Min=-55.0,Max=55.0),Y=(Min=-55.0,Max=55.0),Z=(Min=15.0,Max=35.0))
		ColorScale(0)=(Color=(B=50,G=55,R=55,A=255))
		ColorScale(1)=(RelativeTime=0.1500000,Color=(B=90,G=95,R=115,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=120,G=120,R=125,A=190))
		InitialDelayRange=(Min=0,Max=0)
		LifeTimeRange=(Min=1.5,Max=1.5)
		StartVelocityRange=(X=(Min=-34.000000,Max=34.000000),Y=(Min=-34.000000,Max=34.000000),Z=(Min=60.000000,Max=70.000000))
		UseCollision=false
		Acceleration=(Z=-50.00000,Y=0.0,X=0.0)
	Name="SpriteEmitter1"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter1'

	Physics=PHYS_None
	RemoteRole=ROLE_None

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	bNetTemporary=true
	LifeSpan=1.6
	bHardAttach=true

	bDynamicLight=true
	LightType=LT_Steady
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=170
	LightRadius=10.0
}