//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_LAWCorona extends RocketCorona;

var bool bShrunk;
var int iWaitNum;

simulated function PostBeginPlay()
{
	SetDrawScale(0.12);
}

auto state Start
{
	simulated function Tick(float dt)
	{
		if (iWaitNum > 2)
			iWaitNum = 0;
		else
		{
			iWaitNum++;
			return;
		}

		if (bShrunk)
		{
			bShrunk = false;
			SetDrawScale(0.6*Default.DrawScale);
		}
		else
		{
			bShrunk = true;
			SetDrawScale(Default.DrawScale);
		}
	}
}

simulated function PostNetBeginPlay()
{
	SetTimer(0.3,false);
}

simulated function Timer()
{
	bShrunk = true;
	Enable('Tick');
}

defaultproperties
{
	// extracted from XEffects and applied to a finalblend, _not_ modified
	Texture=Texture'FOMisc.Sprites.ExplosionFlashNew'
	Skins(0)=Texture'FOMisc.Sprites.ExplosionFlashNew'
	DrawScale=+0.2
	DrawScale3D=(X=0.45,Y=0.35,Z=0.35)
	Style=STY_Translucent
	bAlwaysTick=false
}