//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_LAWExplosion extends Emitter;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	if (Level.NetMode == NM_DedicatedServer)
		return;

	if (Level.bDropDetail)
		bDynamicLight = false;
	else
		SetTimer(0.2,false);
}

function Timer()
{
	bDynamicLight = false;
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MyExplosionEmitter
		StartSizeRange=(Y=(Min=16.00,Max=16.00),X=(Min=16.00,Max=16.00),Z=(Min=16.00,Max=16.00))
		Texture=Texture'XEffects.Skins.MuzFlashRocket_t'
		MaxParticles=1
		LifeTimeRange=(Min=0.25,Max=0.25)
		StartVelocityRange=(Z=(Min=0.0,Max=0.0),X=(Min=-0.0,Max=0.0),Y=(Min=0.0,Max=0.0))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=15.0)
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.29
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		SpinsPerSecondRange=(X=(Min=-1.0,Max=1.0))
		SpinParticles=true
	Name="MyExplosionEmitter"
	End Object
	Emitters(0)=SpriteEmitter'MyExplosionEmitter'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		Acceleration=(Z=50.000000,Y=0.0,X=0.0)
		MaxParticles=10
		StartLocationShape=PTLS_Sphere
		SphereRadiusRange=(Min=50.0,Max=100.0)
		StartSizeRange=(X=(Min=40.0,Max=41.0),Y=(Min=40.0,Max=41.0),Z=(Min=40.0,Max=41.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
		SpinsPerSecondRange=(X=(Min=0.05,Max=0.15),Y=(Min=0.05,Max=0.15),Z=(Min=0.05,Max=0.15))
		FadeOutStartTime=0.5
		FadeIn=false
		FadeOut=true
		SpinParticles=true
		DrawStyle=PTDS_Translucent
		LifeTimeRange=(Min=0.6,Max=0.6)
		StartVelocityRange=(X=(Min=-170.000000,Max=170.000000),Z=(Min=150.00,Max=150.0),Y=(Min=-170.0,Max=170.0))
		Texture=Texture'XEffects.WispSmoke_t'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		UseCollision=true
		DampingFactorRange=(X=(Min=0.6,Max=0.6),Y=(Min=0.6,Max=0.6),Z=(Min=0.6,Max=0.6))
		InitialDelayRange=(Min=0,Max=0)
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		SecondsBeforeInactive=0.000000
		UseActorForces=true
		StartMassRange=(Min=-0.4,Max=0.0)
		RespawnDeadParticles=false
		AutomaticInitialSpawning=false
	        SizeScale(0)=(RelativeTime=0.01000,RelativeSize=5.000000)
	        SizeScale(1)=(RelativeTime=0.400000,RelativeSize=6.000000)
		SizeScale(2)=(RelativeTime=1.000000,RelativeSize=8.000000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=255,G=255,R=255,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=215,G=215,R=215,A=255))
		ColorScale(3)=(RelativeTime=0.900000,Color=(B=215,G=215,R=215,A=255))
		ColorScale(4)=(RelativeTime=1.000000,Color=(B=215,G=215,R=215,A=255))
	Name="SpriteEmitter1"
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter1'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter2
		StartSizeRange=(X=(Min=100.0,Max=100.0),Y=(Min=100.0,Max=100.0),Z=(Min=100.0,Max=100.0))
		Texture=Texture'EmitterTextures.MultiFrame.waterfall03'
		TextureUSubDivisions=2
		TextureVSubDivisions=2
		BlendBetweenSubdivisions=true
		MaxParticles=25
		LifeTimeRange=(Min=0.5,Max=0.5)
		Acceleration=(Z=5.000000,Y=0.0,X=0.0)
		StartVelocityRange=(Z=(Min=0.00,Max=0.0),X=(Min=0.0,Max=0.0),Y=(Min=0.0,Max=0.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=2.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=115,G=195,R=255,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=115,G=175,R=255,A=255))
		ColorScale(3)=(RelativeTime=0.900000,Color=(B=115,G=175,R=255,A=255))
		ColorScale(4)=(RelativeTime=1.000000,Color=(B=115,G=175,R=255,A=255))
		InitialDelayRange=(Min=0.00,Max=0.00)
		FadeOutStartTime=1.0
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		FadeIn=false
		RespawnDeadParticles=false
		AutomaticInitialSpawning=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		StartLocationShape=PTLS_Sphere
		SphereRadiusRange=(Min=50.0,Max=210.0)
		SpinsPerSecondRange=(X=(Min=-0.2,Max=0.2))
		SpinParticles=true
	Name="SpriteEmitter2"
	End Object
	Emitters(2)=SpriteEmitter'SpriteEmitter2'

	Physics=PHYS_None

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	LifeSpan=1.200000
	bHardAttach=true

	bDynamicLight=true
	LightType=LT_Steady
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=170
	LightRadius=14.0
}