class Effect_MeshFlash3rd extends xEmitter;

var int mNumPerFlash;

simulated function Trigger(Actor Other, Pawn EventInstigator)
{
	if (EventInstigator != None && FOPawn(EventInstigator).IsControlledByMe())
		return;

	SetTimer(0.02,false);
}

simulated function Timer()
{
	mStartParticles = mNumPerFlash;
	mGrowthRate = default.mGrowthRate;
	mLifeRange[0] = default.mLifeRange[0];
	mLifeRange[1] = default.mLifeRange[1];
}

defaultproperties
{
	mNumPerFlash=2
	mStartParticles=0
	mMaxParticles=2
	mLifeRange(0)=0.0350000
	mLifeRange(1)=0.0650000
	mRegenRange(0)=0.0
	mRegenRange(1)=0.0
	mSpeedRange(0)=0.000000
	mSpeedRange(1)=0.000000
	mAirResistance=0.000000
	mPosDev=(X=1.000000,Y=1.000000,Z=1.000000)
	mAttenKa=0.100000
	mAttenKb=0.000000
	mSizeRange(0)=0.60000
	mSizeRange(1)=1.000000
	mGrowthRate=0.000000
	mMeshNodes(0)=StaticMesh'FOSMs.flashes.foflash3rdnew'
	mSpawnVecB=(Z=0.000000)
	mParticleType=PT_Mesh
	mPosRelative=True
	mRandOrient=True
	mRandTextures=True
	Skins(0)=FinalBlend'FOMisc.Sprites.flash1_fb'
	Style=STY_Additive
	DrawScale=0.4
	bOwnerNoSee=true
	bAlwaysRelevant=true
	bGameRelevant=true
}