//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// testing out a non-sm particle based muzzle flash.  Will compare with
// performance vs. standard xemitter staticmesh muzzle flash.
// results: not bad!  Screw the xemitter!
//=============================================================================
class Effect_ParticleFlash extends Emitter;

simulated function Trigger(Actor Other, Pawn EventInstigator)
{
	Emitters[0].AllParticlesDead = false;
	Emitters[0].SpawnParticle(2);
	Emitters[1].AllParticlesDead = false;
	Emitters[1].SpawnParticle(2);
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=MySpriteEmitter
		StartSizeRange=(Y=(Min=1.00,Max=2.00),X=(Min=1.00,Max=2.00),Z=(Min=1.00,Max=2.00))
		Texture=Texture'FOMisc.Sprites.ExplosionFlashNew'
		MaxParticles=6
		LifeTimeRange=(Min=0.15,Max=0.25)
		StartVelocityRange=(Z=(Min=-0.1,Max=0.1),X=(Min=0.0,Max=0.0),Y=(Min=-0.1,Max=0.1))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		StartLocationRange=(Z=(Min=0.0,Max=0.0),Y=(Min=0.0,Max=0.0),X=(Min=0.0,Max=1.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=7.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=60,G=60,R=61,A=255))
		ColorScale(1)=(RelativeTime=0.300000,Color=(B=50,G=50,R=51,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=00,G=00,R=1,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=1.0
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		SpinsPerSecondRange=(X=(Min=-25.0,Max=25.0))
		SpinParticles=true
	Name="MySpriteEmitter"
	End Object
	Emitters(0)=SpriteEmitter'MySpriteEmitter'

	Begin Object Class=BeamEmitter Name=BeamEmitter1
		StartSizeRange=(X=(Min=0.15,Max=1.3))
		Texture=Texture'FOMisc.Sprites.MuzFlashNew_t'
		MaxParticles=6
		LifeTimeRange=(Min=0.04,Max=0.08)
		StartVelocityRange=(Z=(Min=0.0,Max=0.0),X=(Min=0.0,Max=50.0),Y=(Min=0.0,Max=0.0))
		Acceleration=(Z=0.000000,Y=0.0,X=0.0)
		StartLocationRange=(Z=(Min=-0.0,Max=0.0),Y=(Min=-0.0,Max=0.0),X=(Min=0.0,Max=1.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=1.00000,RelativeSize=1.0)
		UseColorScale=true
		ColorScale(0)=(Color=(B=40,G=180,R=235,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=25,G=95,R=165,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=20,G=50,R=130,A=255))
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.15
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		CoordinateSystem=PTCS_Relative
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		DetermineEndPointBy=PTEP_Distance
		BeamDistanceRange=(Min=2.0,Max=30.0)
		RotatingSheets=10
	Name="BeamEmitter1"
	End Object
	Emitters(1)=BeamEmitter'BeamEmitter1'

	Physics=PHYS_None

	bUnlit=true
	MaxLights=0
	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
}