//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
// Effect_PickupDestroy.uc
// when weapon pickups are destroyed from being shot
//=============================================================================
class Effect_PickupDestroy extends xEmitter;

function PostBeginPlay()
{
	Spawn(class'pclImpactSmoke');
}

defaultproperties
{
	mLifeRange(0)=0.25000 
	mLifeRange(1)=0.6000
	mDirDev=(X=0.4000000,Y=0.400000,Z=0.400000) 
	mSpeedRange(0)=40.000000 
	mSpeedRange(1)=100.000000 
	mSizeRange(0)=5.000000 
	mSizeRange(1)=15.000000
	mMassRange(0)=0.200000
	mMassRange(1)=0.700000
	mParticleType=PCL_Burst
	Style=STY_Additive
	mStartParticles=20
	mMaxParticles=20
	mTileAnimation=true
	mNumTileColumns=4
	mNumTileRows=4
	Skins(0)=Texture'FOMisc.sprites.PickupDestroyFinal'
	mColorRange(0)=(R=20,G=20,B=20,A=255)
	mColorRange(1)=(R=20,G=20,B=20,A=255)
	mRandTextures=true
	mSpinRange(0)=-80.0
	mSpinRange(1)=80.0


	LifeSpan=1.0
}