class Effect_PlantImpact extends Effect_HitEmitter;

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter0
		UseCollision=True
		FadeOut=True
		RespawnDeadParticles=False
		UniformSize=True
		AutomaticInitialSpawning=False
		UseRandomSubdivision=True
		Acceleration=(Z=-300.000000)
		DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.400000))
		FadeOutStartTime=0.700000
		MaxParticles=5
		StartSizeRange=(X=(Min=3.000000,Max=1.000000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'FOMisc.Sprites.PlantBits'
		TextureUSubdivisions=3
		TextureVSubdivisions=3
		LifetimeRange=(Min=1.100000)
		SpinParticles=True
		StartSpinRange=(X=(Min=1.0))
		StartVelocityRange=(X=(Min=30.000000,Max=110.000000),Y=(Min=-50.000000,Max=50.000000),Z=(Min=-50.000000,Max=50.000000))
		MaxAbsVelocity=(Z=300.000000)
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter0'

	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		FadeOut=True
		FadeIn=true
		RespawnDeadParticles=False
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		AutomaticInitialSpawning=False
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseRandomSubdivision=true
		BlendBetweenSubdivisions=false
		Acceleration=(Z=8.000000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=215,G=230,R=245,A=130))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=215,G=230,R=245,A=50))
		Opacity=0.5
		FadeOutStartTime=0.300000
		FadeInEndTime=0.01
		MaxParticles=10
		SpinsPerSecondRange=(X=(Min=-0.200000,Max=0.200000))
		StartSpinRange=(X=(Max=1.000000))
		SizeScale(0)=(RelativeTime=0.050000,RelativeSize=2.700000)
		SizeScale(1)=(RelativeTime=1.000000,RelativeSize=5.400000)
		StartSizeRange=(X=(Min=2.000000,Max=4.000000))
		InitialParticlesPerSecond=200.000000
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'FOMisc.Sprites.MuchSmokeLighter'
		LifetimeRange=(Min=0.800000,Max=0.900000)
		//UseRotationFrom=PTRS_Actor
		CoordinateSystem=PTCS_Relative
		StartLocationRange=(X=(Min=3.0,Max=10.0))
		StartVelocityRange=(X=(Min=160.0,Max=180.0),Y=(Min=-7.0,Max=7.0),Z=(Min=-7.0,Max=7.0))
		VelocityLossRange=(X=(Min=17.0,Max=17.0))
	End Object
	Emitters(1)=SpriteEmitter'SpriteEmitter1'

	ImpactSounds(0)=Sound'FOWeaponSounds.Impact.PlantHit1'
	ImpactSounds(1)=Sound'FOWeaponSounds.Impact.PlantHit2'
	ImpactSounds(2)=Sound'FOWeaponSounds.Impact.PlantHit3'
	ImpactSounds(3)=Sound'FOWeaponSounds.Impact.PlantHit4'
	ImpactSounds(4)=Sound'FOWeaponSounds.Impact.PlantHit5'
	ImpactSounds(5)=Sound'XEffects.Impact1'
	ImpactSounds(6)=Sound'XEffects.Impact2'
	ImpactSounds(7)=Sound'XEffects.Impact3'

	TransientSoundVolume=0.25
}