//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Effect_UMPSilencedFlash3rd extends Emitter;

simulated function Trigger(Actor Other, Pawn EventInstigator)
{
	Emitters[0].AllParticlesDead = false;

	if (!Level.bDropDetail)
		Emitters[0].SpawnParticle(2);
	else
		Emitters[0].SpawnParticle(1);
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SmokeEmitter1
		Acceleration=(Z=50.000000,Y=0.0,X=-2.0)
		MaxParticles=30
		StartLocationRange=(X=(Min=-0.0,Max=0.0),Y=(Min=-0.0,Max=0.0),Z=(Min=0.0,Max=0.0))
		StartSizeRange=(X=(Min=2.0,Max=5.0),Y=(Min=2.0,Max=5.0),Z=(Min=2.0,Max=5.0))
		UseRegularSizeScale=false
	        UseSizeScale=true
		SpinsPerSecondRange=(X=(Min=0.05,Max=0.15),Y=(Min=0.05,Max=0.15),Z=(Min=0.05,Max=0.15))
		FadeInEndTime=0.02
		FadeOutStartTime=1.4
		FadeIn=true
		FadeOut=true
		SpinParticles=true
		DrawStyle=PTDS_Translucent
		LifeTimeRange=(Min=1.2,Max=1.3)
		StartVelocityRange=(X=(Min=40.000000,Max=50.000000),Z=(Min=0.00,Max=1.0),Y=(Min=0.0,Max=0.0))
		// extracted the texture from XEffects, did _not_ modify it
		Texture=Texture'EmitterTextures.MultiFrame.SmokePCL'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		UseCollision=true
		DampingFactorRange=(X=(Min=0.6,Max=0.6),Y=(Min=0.6,Max=0.6),Z=(Min=0.6,Max=0.6))
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		SecondsBeforeInactive=0.000000
		UseActorForces=true
		StartMassRange=(Min=-0.4,Max=0.0)
		RespawnDeadParticles=false
	        SizeScale(0)=(RelativeTime=0.10000,RelativeSize=2.000000)
	        SizeScale(1)=(RelativeTime=0.200000,RelativeSize=2.000000)
		SizeScale(2)=(RelativeTime=1.000000,RelativeSize=4.000000)
		UseColorScale=true
		ColorScale(0)=(Color=(B=100,G=100,R=100,A=255))
		ColorScale(1)=(RelativeTime=0.100000,Color=(B=70,G=70,R=70,A=255))
		ColorScale(2)=(RelativeTime=0.500000,Color=(B=80,G=80,R=80,A=255))
		ColorScale(3)=(RelativeTime=1.000000,Color=(B=0,G=0,R=0,A=255))
		GetVelocityDirectionFrom=PTDV_StartPositionAndOwner
		AutomaticInitialSpawning=false
		RelativeWarmupTime=1.0
		WarmupTicksPerSecond=1.0
		UseRotationFrom=PTRS_Actor
	Name="SmokeEmitter1"
	End Object
	Emitters(0)=SpriteEmitter'SmokeEmitter1'

	Physics=PHYS_None

	bDirectional=true
	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
}