//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Explosion_GrenadeHE extends Emitter;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	if (Level.NetMode == NM_DedicatedServer)
		return;

	Emitters[0].SpawnParticle(8);
	Emitters[1].SpawnParticle(5);

	if (Level.bDropDetail)
		bDynamicLight = false;
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=SpriteEmitter1
		SecondsBeforeInactive=0.000000
		FadeOut=True
		FadeIn=True
		SpinParticles=True
		UseSizeScale=True
		UseRegularSizeScale=False
		UniformSize=True
		RespawnDeadParticles=false
		AutomaticInitialSpawning=False
		BlendBetweenSubdivisions=True
		UseRandomSubdivision=True
		Opacity=0.800000
		FadeOutStartTime=0.70000
		FadeInEndTime=0.020000
		MaxParticles=8
		StartSpinRange=(X=(Min=0.200000,Max=0.200000))
		SizeScale(0)=(RelativeTime=0.06,RelativeSize=2.500000)
		SizeScale(1)=(RelativeTime=0.5,RelativeSize=3.500000)
		SizeScale(2)=(RelativeTime=1.00,RelativeSize=4.000000)
		StartSizeRange=(X=(Min=25.000000,Max=35.0),Y=(Min=15.000000,Max=15.000000),Z=(Min=15.000000,Max=15.000000))
		InitialParticlesPerSecond=0
		ParticlesPerSecond=0
		DrawStyle=PTDS_AlphaBlend
		Texture=Texture'FOMisc.Sprites.MuchSmokeLight'
		TextureUSubdivisions=4
		TextureVSubdivisions=4
		UseColorScale=true
		StartLocationRange=(X=(Min=-55.0,Max=55.0),Y=(Min=-55.0,Max=55.0),Z=(Min=-10.0,Max=25.0))
		ColorScale(0)=(Color=(B=30,G=35,R=35,A=255))
		ColorScale(1)=(RelativeTime=0.200000,Color=(B=50,G=55,R=55,A=255))
		ColorScale(2)=(RelativeTime=1.000000,Color=(B=70,G=70,R=70,A=255))
		InitialDelayRange=(Min=0,Max=0)
		LifeTimeRange=(Min=2.0,Max=2.0)
		StartVelocityRange=(X=(Min=-34.000000,Max=34.000000),Y=(Min=-34.000000,Max=34.000000),Z=(Min=20.000000,Max=30.000000))
		UseCollision=false
		Acceleration=(Z=-50.00000,Y=0.0,X=0.0)
	Name="SpriteEmitter1"
	End Object
	Emitters(0)=SpriteEmitter'SpriteEmitter1'
	
	Begin Object Class=SpriteEmitter Name=MyExplosionEmitter
		StartSizeRange=(Y=(Min=100.00,Max=100.00),X=(Min=100.00,Max=100.00),Z=(Min=100.00,Max=100.00))
		StartLocationRange=(X=(Min=-55.0,Max=55.0),Y=(Min=-55.0,Max=55.0),Z=(Min=-15.0,Max=25.0))
		Texture=Texture'FOMisc.Sprites.ExpTwoKayFour'
		TextureUSubDivisions=4
		TextureVSubDivisions=4
		BlendBetweenSubdivisions=true
		UseSubDivisionScale=true
		SubDivisionStart=0
		SubDivisionEnd=10
		SubDivisionScale[0]=0.1
		SubDivisionScale[1]=0.2
		SubDivisionScale[2]=0.3
		SubDivisionScale[3]=0.4
		SubDivisionScale[4]=0.5
		SubDivisionScale[5]=0.6
		SubDivisionScale[6]=0.7
		SubDivisionScale[7]=0.8
		SubDivisionScale[8]=0.9
		SubDivisionScale[9]=1.0
		MaxParticles=5
		LifeTimeRange=(Min=0.45,Max=0.45)
		StartVelocityRange=(Z=(Min=200.0,Max=50.0),X=(Min=-0.0,Max=0.0),Y=(Min=0.0,Max=0.0))
		Acceleration=(Z=-10.00000,Y=0.0,X=0.0)
		UseRegularSizeScale=false
	        UseSizeScale=true
	        SizeScale(0)=(RelativeTime=0.950000,RelativeSize=1.0)
	        SizeScale(1)=(RelativeTime=1.00000,RelativeSize=0.0)
		InitialDelayRange=(Min=0.0,Max=0.0)
		FadeOutStartTime=0.35
		ParticlesPerSecond=0
		InitialParticlesPerSecond=0
		FadeOut=true
		RespawnDeadParticles=false
		SecondsBeforeInactive=0.000000
		DrawStyle=PTDS_Translucent
		SpinsPerSecondRange=(X=(Min=-0.1,Max=0.1))
		SpinParticles=true
		UseColorScale=true
		ColorScale(0)=(Color=(B=200,G=200,R=201,A=255))
		ColorScale(1)=(RelativeTime=1.000000,Color=(B=190,G=190,R=190,A=255))
		AutomaticInitialSpawning=false
	Name="MyExplosionEmitter"
	End Object
	Emitters(1)=SpriteEmitter'MyExplosionEmitter'

	Physics=PHYS_None
	RemoteRole=ROLE_None

	bHighDetail=false
	AutoDestroy=false
	bNoDelete=false
	bNetTemporary=true
	LifeSpan=2.1
	bHardAttach=true

	bDynamicLight=true
	LightEffect=LE_QuadraticNonIncidence
	LightType=LT_FadeOut
	LightBrightness=225
	LightHue=35
	LightSaturation=90
	LightRadius=36
	LightPeriod=21
	LightCone=128
}