//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class FOPawnSiren extends FOPawnFemale;

simulated function PostNetBeginPlay()
{
	Super(FOPawnFemale).PostNetBeginPlay();

	LinkMesh(class'Interface_TabPlayerTeam'.Default.MercRecord[1].AssociatedModel[HeadSkin]);

	Skins[0] = class'Interface_TabPlayerTeam'.Default.MercRecord[1].BodySkin[BodySkin];
	Skins[1] = class'Interface_TabPlayerTeam'.Default.MercRecord[1].HeadSkin[HeadSkin];
	if (class'Interface_TabPlayerTeam'.Default.MercRecord[1].GlassesSkin[HeadSkin] != None)
		Skins[3] = class'Interface_TabPlayerTeam'.Default.MercRecord[1].HelmetSkin[HeadSkin];
	Skins[2] = class'Interface_TabPlayerTeam'.Default.MercRecord[1].GlassesSkin[HeadSkin];
	if (class'Interface_TabPlayerTeam'.Default.MercRecord[1].HelmetSkin[HeadSkin] != None)
		Skins[3] = class'Interface_TabPlayerTeam'.Default.MercRecord[1].HelmetSkin[HeadSkin];
}

simulated event StartCrouch(float HeightAdjust)
{
	Super.StartCrouch(HeightAdjust);
	SetBoneRotation('Bip01 Head',rot(4000,1000,0));
}

defaultproperties
{
	DrawScale=1.03
}