//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class FragOps_ArmorPiece extends Actor;

var bool bShoulder, bLeg, bHelmet, bHeavy;

function PostBeginPlay()
{
	if (Level.DetailMode != DM_High && Level.DetailMode != DM_SuperHigh)
	{
		Skins[0] = FinalBlend(FOPawn(Owner).ArmorSkins[0]).FallbackMaterial;
		Skins[1] = FinalBlend(FOPawn(Owner).ArmorSkins[1]).FallbackMaterial;
	}
}

function BreakOff(rotator BreakDir);

defaultproperties
{
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'FOSMs.swatarmor.SWAT_Armor_L_shoulder'
	DrawScale=0.45
	bStatic=false
	bNoDelete=false
	bHardAttach=true
	bActorShadows=true
	bCollideActors=false
	bBlockActors=false
	bBlockZeroExtentTraces=false
	bBlockNonZeroExtentTraces=false
	bUseLightingFromBase=true
	bAcceptsProjectors=true
	bOnlyDrawIfAttached=true
	RemoteRole=ROLE_None
}