//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_TabGameType extends UT2K4Tab_GameTypeBase;

function PopulateGameTypes()
{
	local int i;

	// gametype list.  Now hardcoded.  "Sorry guys!"
	for (i=0;i<GameTypes.Length;i++)
		AddEpicGameType(GameTypes[i].GameName, GameTypes[i].MapListClassName);
}

defaultproperties
{
	GameTypes(0)=(ClassName="FragOps.FragOpsWar",GameName="War",Description="The ultimate blend of strategy, action, and hardcore teamplay. Realism is heightened in this mode, and players must be prepared to defend and attack on foot, wheels and air. Building and deploying your own structures and battle weaponry must be second nature. Prepare for War.",TextName="FragOps.FragOpsWar",GameAcronym="WAR",MapListClassName="FragOps.War_MapListFragOps",MapPrefix="WAR",ScreenShotRef="FOMisc.Menu.WarPreview",bTeamGame=true,GameTypeGroup=2)
	GameTypes(1)=(ClassName="FragOps.FragOpsMission",GameName="Mission",Description="Classic tactical, mission-based roundgame. The team with the most rounds wins. Players purchase their own weaponry for these small-scale battles. Takes place in the 2007 winter, before the catastrophic atomic declaration of War.",TextName="FragOps.FragOpsMission",GameAcronym="MIS",MapListClassName="FragOps.MapListFragOps",MapPrefix="MIS",ScreenShotRef="FOMisc.Menu.MissionPreview",bTeamGame=true,GameTypeGroup=2)
}