//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Interface_foNumericEdit extends GUIMenuOption;

var		GUINumericEdit	MyNumericEdit;
var		int		MinValue, MaxValue;
var		color		SpinnerColors[3];

function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
	Super.Initcomponent(MyController, MyOwner);

	MyNumericEdit = GUINumericEdit(MyComponent);
	MyNumericEdit.MyEditBox.BorderOffsets[0] = 1;
	MyNumericEdit.MyEditBox.BorderOffsets[1] = 1;
	MyNumericEdit.MyEditBox.BorderOffsets[2] = 1;
	MyNumericEdit.MyEditBox.BorderOffsets[3] = 1;
	MyNumericEdit.MinValue = MinValue;
	MyNumericEdit.MaxValue = MaxValue;
	MyNumericEdit.CalcMaxLen();
	MyNumericEdit.OnChange = InternalOnChange;
	FriendlyLabel = none;
	MyNumericEdit.MyEditBox.FriendlyLabel = MyLabel;
	MyNumericEdit.MyEditBox.bNeverFocus = true;
	MyNumericEdit.MyEditBox.MaxWidth = 1;
	MyNumericEdit.MyEditBox.bReadOnly = true;
	MyNumericEdit.MyEditBox.OnClickSound = CS_None;
	MyNumericEdit.MyEditBox.bMouseOverSound = false;
	MyNumericEdit.MySpinner.bMouseOverSound = false;
}

function SetStep(int S)
{
	MyNumericEdit.Step = S;
}

function SetValue(int V)
{
	MyNumericEdit.SetValue(v);
}

function int GetValue()
{
	return int(MyNumericEdit.Value);
}

function InternalOnChange(GUIComponent Sender)
{
	OnChange(self);
}

function SetMaxValue(int MV)
{
	MyNumericEdit.MaxValue = MV;
}

function SetMinValue(int OMV)
{
	MyNumericEdit.MinValue = OMV;
}

function int GetMinValue()
{
	return MyNumericEdit.MinValue;
}

function int GetMaxValue()
{
	return MyNumericEdit.MaxValue;
}

defaultproperties
{
	ComponentClassName="xinterface.GUINumericEdit"
	OnClickSound=CS_Click
	SpinnerColors(0)=(R=200,G=200,B=200,A=255)
	SpinnerColors(1)=(R=255,G=255,B=255,A=255)
	SpinnerColors(2)=(R=255,G=255,B=85,A=255)
}

