//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Trait_Outcast extends FOTraitRecord;

static function AddTrait(FOPawn TraitPawn)
{
	TraitPawn.ThrowMod = 1.05;
	TraitPawn.AutoRecoilMod = 0.9;
	TraitPawn.ShotgunRecoilMod = 0.9;
	TraitPawn.SidearmRecoilMod = 0.9;
	TraitPawn.SniperRecoilMod = 0.9;
	TraitPawn.AkimboRecoilMod = 0.9;
	TraitPawn.ShotgunDamageMod = 0.85;
	TraitPawn.MeleeDamageMod = 0.85;
	TraitPawn.SpeedMod = 0.95;
}

static function RemoveTrait(FOPawn TraitPawn)
{
	TraitPawn.ThrowMod = TraitPawn.Default.ThrowMod;
	TraitPawn.AutoRecoilMod = TraitPawn.Default.AutoRecoilMod;
	TraitPawn.ShotgunRecoilMod = TraitPawn.Default.ShotgunRecoilMod;
	TraitPawn.SidearmRecoilMod = TraitPawn.Default.SidearmRecoilMod;
	TraitPawn.SniperRecoilMod = TraitPawn.Default.SniperRecoilMod;
	TraitPawn.AkimboRecoilMod = TraitPawn.Default.AkimboRecoilMod;
	TraitPawn.ShotgunDamageMod = TraitPawn.Default.ShotgunDamageMod;
	TraitPawn.MeleeDamageMod = TraitPawn.Default.MeleeDamageMod;
	TraitPawn.SpeedMod = TraitPawn.Default.SpeedMod;
}

defaultproperties
{
	TraitName="Outcast"
	Description="You never played well with others, and often spent your time alone -- with your guns.  One day, you'll show them.  You get -10% recoil, +5% grenade throw distance, but you lose 5% speed and 15% shotgun and melee damage."
}