//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Trait_Sprinter extends FOTraitRecord;

static function AddTrait(FOPawn TraitPawn)
{
	TraitPawn.AutoRecoilMod = 1.2;
	TraitPawn.ShotgunRecoilMod = 1.2;
	TraitPawn.SidearmRecoilMod = 1.2;
	TraitPawn.SniperRecoilMod = 1.2;
	TraitPawn.AkimboRecoilMod = 1.2;
	TraitPawn.RestMod = 0.75;
	TraitPawn.SpeedMod = 1.06;
	TraitPawn.ArmorMod = 1.09;
}

static function RemoveTrait(FOPawn TraitPawn)
{
	TraitPawn.AutoRecoilMod = TraitPawn.Default.AutoRecoilMod;
	TraitPawn.ShotgunRecoilMod = TraitPawn.Default.ShotgunRecoilMod;
	TraitPawn.SidearmRecoilMod = TraitPawn.Default.SidearmRecoilMod;
	TraitPawn.SniperRecoilMod = TraitPawn.Default.SniperRecoilMod;
	TraitPawn.AkimboRecoilMod = TraitPawn.Default.AkimboRecoilMod;
	TraitPawn.RestMod = TraitPawn.Default.RestMod;
	TraitPawn.SpeedMod = TraitPawn.Default.SpeedMod;
	TraitPawn.ArmorMod = TraitPawn.Default.ArmorMod;
}

defaultproperties
{
	TraitName="Sprinter"
	Description="When your gym trainer tells you to run 50 laps, you ask for more.  Your weapons trainer, however, can't stop yelling at you.  Cuts rest time by 25%, adds +5% speed, but adds +20% weapon recoil and -9% armor."
}