//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Trait_Tank extends FOTraitRecord;

static function AddTrait(FOPawn TraitPawn)
{
	TraitPawn.AutoDamageMod = 0.9;
	TraitPawn.ShotgunDamageMod = 0.9;
	TraitPawn.SidearmDamageMod = 0.9;
	TraitPawn.ArmorMod = 0.9;
	TraitPawn.ThrowMod = 1.07;
}

static function RemoveTrait(FOPawn TraitPawn)
{
	TraitPawn.AutoDamageMod = TraitPawn.Default.AutoDamageMod;
	TraitPawn.ShotgunDamageMod = TraitPawn.Default.ShotgunDamageMod;
	TraitPawn.SidearmDamageMod = TraitPawn.Default.SidearmDamageMod;
	TraitPawn.ArmorMod = TraitPawn.Default.ArmorMod;
	TraitPawn.ThrowMod = TraitPawn.Default.ThrowMod;
}

defaultproperties
{
	TraitName="Tank"
	Description="You're not much for weapons, but you're the toughest leatherneck out there.  Pain tickles you.  Adds +10% armor and +7% grenade throw power, but you do 10% less damage with all ranged weapons."
}