//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================

#exec OBJ LOAD FILE=FOMaleVoices.uax

class Voice_MercMaleVoice extends FragOps_VoicePack;

defaultproperties
{
	////////////////// ACKNOWELDGEMENTS
	AckSound(0)=FOMaleVoices.AmericanMain.ICopy
	AckSound(1)=FOMaleVoices.AmericanMain.RogerThat

	////////////////// FRIENDLY FIRE
	FFireSound(0)=FOMaleVoices.AmericanMain.FriendlyFire

	////////////////// TAUNTS
	TauntSound(0)=FOMaleVoices.AmericanGlobal.GotOne
	TauntSound(1)=FOMaleVoices.AmericanGlobal.BodyBag
	TauntSound(2)=FOMaleVoices.AmericanGlobal.NoEscape
	TauntSound(3)=FOMaleVoices.AmericanGlobal.Pansies

	////////////////// ORDERS

	OrderSound(0)=FOMaleVoices.AmericanMain.WatchForCover
	OrderSound(1)=FOMaleVoices.AmericanMain.EveryBodyDown
	OrderSound(2)=FOMaleVoices.AmericanMain.KeepMoving
	OrderSound(3)=FOMaleVoices.AmericanMain.CoverMe
	OrderSound(4)=FOMaleVoices.AmericanMain.ContinueToNextLocation
	OrderSound(10)=FOMaleVoices.AmericanMain.LetsMove

	////////////////// OTHERS

	OtherSound(0)=FOMaleVoices.AmericanMain.AdvancingToObjective
	OtherSound(1)=FOMaleVoices.AmericanMain.AttackingFromAir
	OtherSound(2)=FOMaleVoices.AmericanMain.LocationCleared
	OtherSound(3)=FOMaleVoices.AmericanMain.GotYourBack
	OtherSound(4)=FOMaleVoices.AmericanMain.CouldUseHelp
	OtherSound(5)=FOMaleVoices.AmericanMain.ManDown
	OtherSound(6)=FOMaleVoices.AmericanMain.TakingHeavyFire
	OtherSound(7)=FOMaleVoices.AmericanMain.GotHostiles
	OtherSound(8)=FOMaleVoices.AmericanMain.NeedBackup
	OtherSound(9)=FOMaleVoices.AmericanMain.ImGoinIn
	OtherSound(10)=FOMaleVoices.AmericanMain.NeedCover
	OtherSound(11)=FOMaleVoices.AmericanMain.LocationCleared
	OtherSound(12)=FOMaleVoices.AmericanMain.GotALock
	OtherSound(13)=FOMaleVoices.AmericanMain.EnemySpotted
	OtherSound(14)=FOMaleVoices.AmericanMain.IncomingGetDown
	OtherSound(15)=FOMaleVoices.AmericanMain.KeepHeadDown
	OtherSound(16)=FOMaleVoices.AmericanMain.LockedOntoMe
	OtherSound(17)=FOMaleVoices.AmericanMain.ObjectiveComplete
	OtherSound(18)=FOMaleVoices.AmericanMain.BadFeeling
	OtherSound(19)=FOMaleVoices.AmericanMain.EverybodyDown
	OtherSound(20)=FOMaleVoices.AmericanMain.WatchedForWheeled
	OtherSound(21)=FOMaleVoices.AmericanMain.CantHoldEmOff
	OtherSound(22)=FOMaleVoices.AmericanMain.HeadingNorth
	OtherSound(23)=FOMaleVoices.AmericanMain.HeadingSouth
	OtherSound(24)=FOMaleVoices.AmericanMain.HeadingEast
	OtherSound(25)=FOMaleVoices.AmericanMain.HeadingWest
	OtherSound(26)=FOMaleVoices.AmericanMain.FireInTheHole
}