//=============================================================================
// Frag.Ops  2004 Matt 'SquirrelZero' Farber
//=============================================================================
class War_Vehicle_StrykerGunner extends War_FOVehiclePawn;

simulated function ClientKDriverLeave(PlayerController PC)
{
	Super.ClientKDriverLeave(PC);
	if (Gun != None)
		Gun.GotoState('InstantFireMode');
}

function Pawn GetHitPawn(vector HitLocation, rotator HitRotation)
{
	return None;
}

defaultproperties
{
	VehiclePositionString="manning a STRK4 Machine Gun"
	VehicleNameString="STRK4 Machine Gun"

	// anims
	DriveAnim=Fists_Hold

	// entry
	EntryPosition=(X=0,Y=0,Z=0)
	EntryRadius=160.0

	// exit
	ExitPositions(0)=(X=90,Y=250,Z=25)
	ExitPositions(1)=(X=90,Y=-250,Z=25)
	ExitPositions(3)=(X=90,Y=250,Z=-25)
	ExitPositions(4)=(X=90,Y=-250,Z=-25)
	ExitPositions(5)=(X=200,Y=0,Z=25)
	ExitPositions(6)=(X=-300,Y=0,Z=25)
	GunClass=class'FragOps.War_Vehicle_StrykerMG'
	CameraBone=Gunner
	FPCamPos=(X=-12,Y=0,Z=10)
	FPCamViewOffset=(X=0,Y=0,Z=72)
	bFPNoZFromCameraPitch=False
	TPCamLookat=(X=-25,Y=0,Z=25)
	TPCamWorldOffset=(X=0,Y=0,Z=72)
	TPCamDistance=200
	DrivePos=(X=-14.0,Y=0.0,Z=-11.0)
	bDrawDriverInTP=false
	bDrawMeshInFP=true
	DriverDamageMult=0.0
	bHasAltFire=true
	bDriverCollideActors=false
	bZeroPCRotOnEntry=false
}