class Weapon_8xAttachment extends Attachment_Base;

simulated event ThirdPersonEffects() 
{ 
	local rotator r;
	
	if (FlashCount == LastFlashCount)
		return;

	if (Level.NetMode != NM_DedicatedServer)
	{
		if (FiringMode == 0 || FiringMode == 1)
		{
			if (FOPawn(Instigator) == None || FOPawn(Instigator).SpectatorWeapon != None)
				return;
			
			if (FlashCount > 0)
				FOPawn(Instigator).StartFiring(bHeavy, bRapidFire);

			if (FlashCount <= 0 || MeshFlash3rdClass == None || bGrenade)
				return;

			PlayFireSound(FiringMode);

			WeaponLight();
			
			if (MeshFlash3rd == None)
			{
				MeshFlash3rd = Spawn(MeshFlash3rdClass);
				AttachToBone(MeshFlash3rd, FlashBone);
			}

			if (MuzSmoke3rd == None)
			{
				MuzSmoke3rd = Spawn(MuzSmoke3rdClass);
				AttachToBone(MuzSmoke3rd, FlashBone);
			}

			r.Roll = 16384*Rand(5);
			SetBoneRotation(FlashBone, r, 0, 1.f);
			MeshFlash3rd.Trigger(self, Instigator);
			MuzSmoke3rd.Trigger(self, Instigator);
		}
	}
	LastFlashCount = FlashCount;
}

defaultproperties
{
	Mesh=mesh'pickups.8xbare3rd'
	DrawScale=1.5
	bSidearm=true
	bRapidFire=false
	bAltRapidFire=false
	FlashBone=Bone_Flash
	ShellBone=''
	MeshFlash3rdClass=class'Effect_BurstFlash3rd'
	ShellEjector3rdClass=None

	WeaponClass=class'Weapon_8xBase'
	FireClass[0]=class'Weapon_8xFire'
	FireVolume[0]=1.75
}