//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================

#exec OBJ LOAD FILE=FOPistols.ukx

class Weapon_8xBase extends Weapon_Base
	config(User);

defaultproperties
{
	ItemName="8X Enforcer"
	StaticName="8X Enforcer"
	WeaponType=Sidearm
	GunAttachment[0]=class'Weapon_8xScope'
	GunAttachment[1]=class'Weapon_8xSpeedLoad'
	GunAttachment[2]=class'Weapon_8xLoaded'
	GunDesc="COST: $225|AMMO: 8 x 5|DMG: Med|RNG: High"
	GunCost=550

	// CXP reqs
	CXPReq=20

	bIsReloading=false
	bShowChargingBar=false
	bCanThrow=true
	FireModeClass(0)=Weapon_8xFire
	FireModeClass(1)=Weapon_DEFireNull
	FireTypeNames(0)="Semi"
	InventoryGroup=2
	Mesh=mesh'FOPistols.EightBare'

	ReloadTime=4.65
	IdleAnim=idle
	RestAnim=None
	AimAnim=None
	RunAnim=None
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.3

	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPistol2'
	SelectForce="SwitchToAssaultRifle"

	BobDamping=1.94
	PickupClass=class'FragOps.Weapon_8xPickup'
	EffectOffset=(X=100.0,Y=25.0,Z=-10.0)

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_8xbare'
	AttachmentClass=class'FragOps.Weapon_8xAttachment'
	TracerBone=Bone_Flash
	SmokeBone=Bone_Smoke

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-11.8,Y=-3.6,Z=-1.6)
	PlayerViewPivot=(Pitch=70,Roll=0,Yaw=17100)

	AIRating=+0.2
	CurrentRating=0.2
	Priority=2

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=-3,Z=0)
}