//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_AK103Bayonet extends Weapon_AK103Base
	HideDropDown
	CacheExempt;

simulated function bool ConsumeAmmo(int Mode, float load, optional bool bAmmoNeededIsMax)
{
	if ((Ammo[Mode] != None) && Mode < 1)
	{
		Ammo[Mode].UseAmmo(int(load));
		Ammo[Mode].NetUpdateTime = Level.TimeSeconds - 1;
		return true;
	}
	else
		return false;
}

state Stabbing
{
	function BeginState();
	function EndState();

Begin:
	Sleep(Weapon_AK103Stab(FireMode[1]).PreStabTime);
	Weapon_AK103Stab(FireMode[1]).DoStab();
	GotoState('');
}

defaultproperties
{
	// CXP reqs
	CXPReq=70
	
	GunDesc="COST: $25|DMG: Max|RNG: Arm"
	GunCost=160
	ItemName="FKE103 (Bayonet)"
	AttachName="bayonet"
	FireModeClass(1)=Weapon_AK103Stab
	Mesh=mesh'FORifles.AKBayo'
	BaseWeaponClass=class'Weapon_AK103Base'
	PickupClass=class'FragOps.Weapon_AK103BayonetPickup'
	AttachmentClass=class'FragOps.Weapon_AK103BayonetAttach'
	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_akbayonet'
	bDynamicLight=false
	LightType=LT_None
	LightEffect=LE_NonIncidence
	LightPeriod=0
	LightBrightness=0
	LightHue=0
	LightSaturation=0
	LightRadius=0.0
}