//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_DEBase extends Weapon_Base
	config(User);

defaultproperties
{
	ItemName="Arc. Eagle"
	StaticName="Arc. Eagle"
	GunAttachment[0]=class'Weapon_DELaser'
	GunAttachment[1]=class'Weapon_DEScope'
	//GunAttachment[2]=class'Weapon_DEGold'
	GunDesc="COST: $225|AMMO: 8 x 5|DMG: Med|RNG: High"
	GunCost=500

	// CXP reqs
	CXPReq=20

	bIsReloading=false
	bShowChargingBar=false
	bCanThrow=true
	FireModeClass(0)=Weapon_DEFire
	FireModeClass(1)=Weapon_DEFireNull
	FireTypeNames(0)="Semi"
	InventoryGroup=2
	WeaponType=Sidearm
	Mesh=mesh'FOPistols.DesertEagle'

	ReloadTime=2.5

	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPistol2'
	SelectForce="SwitchToAssaultRifle"

	BobDamping=1.94
	PickupClass=class'FragOps.Weapon_DEPickup'
	EffectOffset=(X=100.0,Y=25.0,Z=-10.0)

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_de'
	AttachmentClass=class'FragOps.Weapon_DEAttachment'
	TracerBone=Bone_Flash
	ShellBone=Bone_Shell
	SmokeBone=Bone_Smoke

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-20.0,Y=-2.0,Z=-0.7)
	PlayerViewPivot=(Pitch=-100,Roll=200,Yaw=17300)

	IdleAnim=Idle
	IdleEmptyAnim=idleempty
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.4
	
	AIRating=+0.2
	CurrentRating=0.2
	Priority=2

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=-3,Z=0)
}