//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_DSRAttachment extends Attachment_Base;

simulated function SetShellBone()
{
	local rotator r;
	
	r.Pitch = 183;
	r.Yaw = -33441;
	r.Roll = -15940;

	SetBoneRotation(ShellBone, r, 0, 1.f);
}

defaultproperties
{
	Mesh=mesh'pickups.dsrpickup'
	DrawScale=1.5
	bHeavy=false
	bRapidFire=false
	bAltRapidFire=false
	MeshFlash3rdClass=class'Effect_BurstFlash3rd'
	ShellEjector3rdClass=class'Effect_ShellEjector556First'

	WeaponClass=class'Weapon_DSRBase'
	FireClass[0]=class'Weapon_DSRFire'
	FireVolume[0]=1.8
}