//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_FAMASBase extends Weapon_Base
	config(User);

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="FMS556"
	StaticName="FMS556"
	InventoryGroup=3
	WeaponType=Rifle
	GunAttachment[0]=class'Weapon_FAMASBayonet'
	//GunAttachment[1]=class'Weapon_MP5Scope'
	//GunAttachment[2]=class'Weapon_MP5Stalker'
	GunDesc="COST: $350|AMMO: 30 x 4|DMG: High|RNG: Med"
	GunCost=1000
    
	// CXP reqs
	CXPReq=50

	// firemodes, types
	NumFireTypes=2
	FireTypeNames(0)="Auto"
	FireTypeNames(1)="3 Shot"
	FireModeClass(0)=Weapon_FAMASFire
	FireModeClass(1)=Weapon_FAMASFireNull

	// AI
	AIRating=+0.3
	CurrentRating=0.3
	Priority=3
	
	// reload, bob, burst timings
	ReloadTime=2.78
	BobDamping=1.94

	// sound
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPrimary'
	
	// 3rd person
	PickupClass=class'Weapon_FAMASPickup'
	AttachmentClass=class'Weapon_FAMASAttachment'
	TracerBone=Bone_Flash	
	ShellBone=Bone_Shell
	SmokeBone=Bone_Smoke

	// 1st person
	Mesh=mesh'FORifles.famas'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_famasbare'
	
	DisplayFOV=65
	DrawScale=0.82
	PlayerViewOffset=(X=-17.9,Y=-9.8,Z=6.6)
	PlayerViewPivot=(Pitch=170,Roll=-1100,Yaw=17720)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.4
	SelectForce="SwitchToAssaultRifle"

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=2
	LightBrightness=170
	LightHue=30
	LightSaturation=150
	LightRadius=6.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=0,Z=-2)
}