class Weapon_FAMASBayonet extends Weapon_FAMASBase
	HideDropDown
	CacheExempt;

simulated function bool ConsumeAmmo(int Mode, float load, optional bool bAmmoNeededIsMax)
{
	if ((Ammo[Mode] != None) && Mode < 1)
	{
		Ammo[Mode].UseAmmo(int(load));
		Ammo[Mode].NetUpdateTime = Level.TimeSeconds - 1;
		return true;
	}
	else
		return false;
}

state Stabbing
{
	function BeginState();
	function EndState();

Begin:
	Sleep(Weapon_AK103Stab(FireMode[1]).PreStabTime);
	Weapon_AK103Stab(FireMode[1]).DoStab();
	GotoState('');
}

defaultproperties
{
	// CXP reqs
	CXPReq=70
	
	GunDesc="COST: $25|DMG: Max|RNG: Arm"
	GunCost=160
	ItemName="FMS556 (Bayonet)"
	AttachName="bayonet"
	FireModeClass(1)=Weapon_FAMASStab
	Mesh=mesh'FORifles.fmsbayonet'
	BaseWeaponClass=class'Weapon_FAMASBase'
	PickupClass=class'FragOps.Weapon_FAMASBayonetPickup'
	AttachmentClass=class'FragOps.Weapon_FAMASBayonetAttach'
	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_famasbayonet'
}