class Weapon_FistsAttachment extends Weapon_MacheteAttachment;

simulated event ThirdPersonEffects() 
{
	if (FlashCount == LastFlashCount)
		return;

	if (Level.NetMode != NM_DedicatedServer)
	{
		if (FiringMode == 0 || FiringMode == 1)
		{
			if (FOPawn(Instigator) == None || FOPawn(Instigator).SpectatorWeapon != None)
				return;

			if (FlashCount > 0)
				FOPawn(Instigator).StartFiring(bHeavy, bRapidFire);
		
			if (FlashCount <= 0)
				return;

			PlayFireSound(FiringMode);
		}
	}
	LastFlashCount = FlashCount;
}

simulated function PlayFireSound(int ModeNum)
{
	local float RandSeed;
	local sound FireSound;

	if (Instigator.Weapon != None)
		return;

	RandSeed = FRand();

	if (RandSeed < 0.33)
		FireSound = sound'FOWeaponSounds.Machete.OverHead';
	else if (RandSeed < 0.66)
		FireSound = sound'FOWeaponSounds.Machete.RightSlash';
	else
		FireSound = sound'FOWeaponSounds.Machete.LeftSlash';

	PlaySound(FireSound,SLOT_Interact,TransientSoundVolume*0.5,,30.0,1.75,false);
}

defaultproperties
{
	DrawType=DT_None
	FlashBone=''
	bFists=true
	bMelee=false
}