//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_FistsBase extends Weapon_MacheteBase;

function DropFrom(vector StartLocation)
{
	Super(Weapon_Base).DropFrom(StartLocation);
}

defaultproperties
{
	// weapon data, readable names, attachments
	ItemName="Fists"
	StaticName="Fists"
	WeaponType=Fists

	// firemodes, types
	NumFireTypes=0
	FireTypeNames(0)="Melee"
	FireModeClass(0)=Weapon_FistsSwing
	FireModeClass(1)=Weapon_FistsUppercut
	GunAttachment(0)=None

	// 3rd person
	PickupClass=None
	AttachmentClass=Weapon_FistsAttachment
	TracerBone=''

	// 1st person
	Mesh=mesh'FOMeleeWeapons.Fists'
	SelectSound=Sound'FOWeaponSounds.SelectSounds.SelectPrimary'

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=8.0,Y=-1.38,Z=-2.0)
	PlayerViewPivot=(Pitch=0,Roll=0,Yaw=16375)

	WeaponIcon=Material'FOMisc.WeaponHUD.EmptyFists'

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.5

	bCanThrow=false
}