//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_GrenadeIncinRollProj extends Weapon_GrenadeIncinProj;

simulated function HitWall(vector HitNormal, actor Wall)
{
	SetPhysics(PHYS_Falling);
	Velocity = 0.8 * (Velocity - 2.0*HitNormal*(Velocity dot HitNormal));
	RandSpin(100000);
	Speed = VSize(Velocity);

	if (Speed < 5)
		bBounce = false;
	else
	{
		if ( (Level.NetMode != NM_DedicatedServer) && (Speed > 250) )
			PlaySound(ImpactSound, SLOT_Misc,0.7,,450,2.6);
		if ( !Level.bDropDetail && (Level.DetailMode != DM_Low) && (Level.TimeSeconds - LastSparkTime > 0.5) && EffectIsRelevant(Location,false) )
		{
			Spawn(HitEffectClass,,, Location, Rotator(HitNormal));
			LastSparkTime = Level.TimeSeconds;
		}
	}
}

defaultproperties
{
	Speed=700.0
	MaxSpeed=1000.0
	TossZ=10.0
	GravityDampen=40.0
}