class Weapon_GrenadeSmokeYelProj extends Weapon_GrenadeSmokeProj;

simulated function HitWall( vector HitNormal, actor Wall )
{
	// Reflect off Wall w/damping
	SetPhysics(PHYS_Falling);
	Velocity = 0.4 * (Velocity - 2.0*HitNormal*(Velocity dot HitNormal));
	Speed = VSize(Velocity);
	RandSpin(50000);

	if (Speed < 50 && !bTimerSet)
	{
		bBounce = false;
		if (Trail != None)
			Trail.mRegen = false; // stop the emitter from regenerating

		if (SmokeGenerator == None)
			SmokeGenerator = spawn(class'Effect_GrenadeSmokeYelGen',self,, Location, rotator(vect(0,0,1)));
		SetTimer(GrenExplodeTimer, false); 
		bTimerSet = true;
	}
	else
	{
		if (Level.NetMode != NM_DedicatedServer && Speed > 50)
			PlaySound(ImpactSound,SLOT_Misc,0.7,,450,0.9);
		if (!Level.bDropDetail && Level.DetailMode != DM_Low && Level.TimeSeconds - LastSparkTime > 0.5 && EffectIsRelevant(Location,false) )
		{
			Spawn(HitEffectClass,,, Location, Rotator(HitNormal));
			LastSparkTime = Level.TimeSeconds;
		}
	}
}

defaultproperties
{
	Skins(0)=Texture'FOPickupSkins.Weapons.YellowSmokepickupskin'
}