//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_KnifeSlaveSwing extends Weapon_KnifeSwing;

function PlayFiring()
{
	if (Instigator != None && Instigator.Controller != None && Instigator.IsHumanControlled())
	{
		switch(FOPlayer(Instigator.Controller).SlashDirection)
		{
			// fixme
			case 0:
				FireAnim = 'slashb';
				FireLoopAnim = 'slashb';
				FireLoopAnimRate = 3.3;
				FireAnimRate = FireLoopAnimRate;
				FireSound = sound'FOWeaponSounds.Machete.OverHead';
				break;

			// right slash
			case 1:
				FireAnim = 'slasha';
				FireLoopAnim = 'slasha';
				FireLoopAnimRate = 5.0;
				FireAnimRate = FireLoopAnimRate;
				FireSound = sound'FOWeaponSounds.Machete.LeftSlash';
				break;


			// left slash
			case 2:
				FireAnim = 'slashb';
				FireLoopAnim = 'slashb';
				FireLoopAnimRate = 3.3;
				FireAnimRate = FireLoopAnimRate;
				FireSound = sound'FOWeaponSounds.Machete.RightSlash';
				break;
		}
	}
	Super(FireMode_Base).PlayFiring();
}

defaultproperties
{
	MaxIntervals=3
	FireRate=0.16

	// blade offsets -- left slash
	StabIntervals(4)=0.08
	StabIntervals(5)=0.02
	StabIntervals(6)=0.03
	StabIntervals(7)=0.02
	BladeTraceOffset(4)=(Y=-5.0,X=0.0,Z=8.0)
	BladeTraceOffset(5)=(Y=0.0,X=0.0,Z=0.0)
	BladeTraceOffset(6)=(Y=4.0,X=0.0,Z=-5.0)
	BladeTraceOffset(7)=(Y=8.0,X=0.0,Z=-10.0)
	
	// blade offsets -- right slash
	StabIntervals(8)=0.06
	StabIntervals(9)=0.03
	StabIntervals(10)=0.03
	StabIntervals(11)=0.02
	BladeTraceOffset(8)=(Y=7.0,X=0.0,Z=3.0)
	BladeTraceOffset(9)=(Y=3.0,X=0.0,Z=-4.0)
	BladeTraceOffset(10)=(Y=-2.0,X=0.0,Z=-8.0)
	BladeTraceOffset(11)=(Y=-7.0,X=0.0,Z=0.0)
}