//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_P90Base extends Weapon_Base
	config(User);

defaultproperties
{
	ItemName="FP N90"
	StaticName="FP N90"
	GunAttachment[0]=class'Weapon_P90Laser'
	//GunAttachment[1]=class'Weapon_P90Scope'
	GunDesc="COST: $300|AMMO: 30 x 4|DMG: High|RNG: High"
	GunCost=1250
    
	// CXP reqs
	CXPReq=80

	BurstMultiple=1.4
	FireModeClass(0)=Weapon_P90Fire
	FireModeClass(1)=Weapon_P90FireNull
	NumFireTypes=0
	FireTypeNames(0)="Auto"
	//FireTypeNames(1)="3 Shot"
	//FireTypeNames(2)="Semi"

	InventoryGroup=3
	Mesh=mesh'FOSMGs.p90'
	ReloadTime=3.3

	SelectSound=Sound'FOWeaponSounds.Misc.SelectSound2'
	SelectForce="SwitchToAssaultRifle"

	BobDamping=1.94
	PickupClass=class'FragOps.Weapon_P90Pickup'
	AttachmentClass=class'FragOps.Weapon_P90Attachment'
	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_p90bare'
	TracerBone=Bone_Flash
	SmokeBone=Bone_Smoke
	ShellBone=Bone_Shell

	DisplayFOV=65
	DrawScale=0.78
	PlayerViewOffset=(X=-13.2,Y=-6.4,Z=4.1)
	PlayerViewPivot=(Pitch=30,Roll=-1100,Yaw=17200)

	IdleAnim=Idle
	RestAnim=Idle
	AimAnim=Idle
	RunAnim=Idle
	SelectAnim=Select
	PutDownAnim=Deselect
	SelectAnimRate=1.0
	PutDownAnimRate=1.2

	AIRating=+0.3
	CurrentRating=0.3
	DefaultPriority=3
	Priority=3

	LightType=LT_Pulse
	LightEffect=LE_NonIncidence
	LightPeriod=3
	LightBrightness=150
	LightHue=30
	LightSaturation=150
	LightRadius=4.0

	// buymenu offset
	BuyMenuOffset=(X=0,Y=0,Z=-3)
}