class Weapon_SigSilencedFire extends Weapon_SigFire;

simulated function InitEffects()
{
	Super(FireMode_Base).InitEffects();
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	if (SmokeEmitter2nd != None )
		Weapon.AttachToBone(SmokeEmitter2nd, 'Bone_Smoke');
	AttachEjector();
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super(FireMode_Base).StartMuzzleSmoke();
}

function FlashMuzzleFlash()
{
}

function PlayFireSound()
{
	Weapon.PlayOwnedSound(FireSound,SLOT_Interact,TransientSoundVolume*1.36,,,(0.97)+(FRand()*0.06),false);
}

defaultproperties
{
	RecoilSize=480  // amount of recoil for weapon
	FlashEmitterClass=None
	FireSound=Sound'FOWeaponSounds.Sig.SigSilencedFire'
}