//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_TRGAttachment extends Attachment_Base;

simulated function SetShellBone()
{
	local rotator r;
	
	r.Pitch = 183;
	r.Yaw = -33441;
	r.Roll = -15940;

	SetBoneRotation(ShellBone, r, 0, 1.f);
}

defaultproperties
{
	Mesh=mesh'pickups.trgpickup'
	DrawScale=1.5
	bHeavy=false
	bRapidFire=false
	bAltRapidFire=false
	FlashBone=Bone_Flash
	MeshFlash3rdClass=class'Effect_BurstFlash3rd'
	ShellEjector3rdClass=class'Effect_ShellEjectorTRGFirst'
	ArmRotation=(Yaw=-1800)

	WeaponClass=class'Weapon_TRGBase'
	FireClass[0]=class'Weapon_TRGFire'
	FireVolume[0]=1.6
}