//=============================================================================
// Frag.Ops  2003 Matt 'SquirrelZero' Farber
//=============================================================================
class Weapon_UMPSilencedFire extends Weapon_UMPFire;

simulated function InitEffects()
{
	Super(FireMode_Base).InitEffects();
	if (SmokeEmitter != None)
		Weapon.AttachToBone(SmokeEmitter, 'Bone_Smoke');
	if (SmokeEmitter2nd != None)
		Weapon.AttachToBone(SmokeEmitter2nd, 'Bone_Smoke');
}

function StartMuzzleSmoke()
{
	local rotator r;
	r.Roll = 30000 + Rand(8000);
	r.Yaw = 4500;
	r.Pitch = -2550;
	Weapon.SetBoneRotation('Bone_Smoke', r, 0, 1.f);
	Super(FireMode_Base).StartMuzzleSmoke();
}

defaultproperties
{
	RecoilSize=445  // amount of recoil for weapon
	WeaponRange=275  // maximum effective range for this gun
	FlashEmitterClass=None
	FireSound=Sound'FOWeaponSounds.UMP.UMPSilencedFire'
}