class Weapon_USPLoaded extends Weapon_USPTacLight
	HideDropDown
	CacheExempt;

defaultproperties
{
	// CXP reqs
	CXPReq=30
	
	ItemName="UXP45-T (Loaded)"
	AttachName="both"
	GunDesc="COST: $80|-SND|-RCL|-RNG"
	GunCost=160
	
	// firemodes, types
	BaseWeaponClass=class'Weapon_USPBase'
	FireModeClass(0)=Weapon_USPSilencedFire
	
	// AI
	AIRating=+0.2
	CurrentRating=0.2
	DefaultPriority=2
	Priority=2
	
	// 3rd person
	PickupClass=class'Weapon_USPLoadedPickup'
	AttachmentClass=class'Weapon_USPLoadedAttach'
	
	// 1st person
	Mesh=mesh'FOPistols.USP_Silenced_Light'

	WeaponIcon=Material'FOMisc.WeaponHUD.WeapHUD_uspload'
}